declare namespace _default {
    export namespace ar {
        /**
         * @edata
         * @typedef {Object} SupportResp
         * @property {boolean} isSupport 是否支持
         */
        /**
         * 是否支持Unity
         * @eapi
         * @returns {Promise<SupportResp>} 查询结果
         */
        export function isSupportUnity(): Promise<{
            /**
             * 是否支持
             */
            isSupport: boolean;
        }>;
        /**
         * @edata
         * @typedef {Object} SupportResp
         * @property {boolean} isSupport 是否支持
         */
        /**
         * 是否支持Unity
         * @eapi
         * @returns {Promise<SupportResp>} 查询结果
         */
        export function isSupportUnity(): Promise<{
            /**
             * 是否支持
             */
            isSupport: boolean;
        }>;
        /**
         * 是否支持AR
         * @eapi
         * @returns {Promise<SupportResp>} 查询结果
         */
        export function isSupportAR(): Promise<{
            /**
             * 是否支持
             */
            isSupport: boolean;
        }>;
        /**
         * 是否支持AR
         * @eapi
         * @returns {Promise<SupportResp>} 查询结果
         */
        export function isSupportAR(): Promise<{
            /**
             * 是否支持
             */
            isSupport: boolean;
        }>;
        /**
         * @edata
         * @typedef {Object} SceneReq 场景参数
         * @property {string} sceneName 场景名 U3D_SCENE_SPECTRUM2D_VALUE-动感舞台, U3D_SCENE_AR_VALUE-AR主播
         */
        /**
         * @edata
         * @typedef {Object} SceneRespEffectInfo 特效信息
         * @property {number} type 类型
         * @property {number} u3dResourceId u3dResourceId
         * @property {number} u3dResourceType u3dResourceType
         * @property {string} thumb thumb
         */
        /**
         * 获取特效列表数据
         * @eapi
         * @param {SceneReq} params 参数
         * @returns {Promise<Array<SceneRespEffectInfo>>} 调用结果
         */
        export function getEffectList(params: {
            /**
             * 场景名 U3D_SCENE_SPECTRUM2D_VALUE-动感舞台, U3D_SCENE_AR_VALUE-AR主播
             */
            sceneName: string;
        }): Promise<{
            /**
             * 类型
             */
            type: number;
            /**
             * u3dResourceId
             */
            u3dResourceId: number;
            /**
             * u3dResourceType
             */
            u3dResourceType: number;
            /**
             * thumb
             */
            thumb: string;
        }[]>;
        /**
         * @edata
         * @typedef {Object} SceneReq 场景参数
         * @property {string} sceneName 场景名 U3D_SCENE_SPECTRUM2D_VALUE-动感舞台, U3D_SCENE_AR_VALUE-AR主播
         */
        /**
         * @edata
         * @typedef {Object} SceneRespEffectInfo 特效信息
         * @property {number} type 类型
         * @property {number} u3dResourceId u3dResourceId
         * @property {number} u3dResourceType u3dResourceType
         * @property {string} thumb thumb
         */
        /**
         * 获取特效列表数据
         * @eapi
         * @param {SceneReq} params 参数
         * @returns {Promise<Array<SceneRespEffectInfo>>} 调用结果
         */
        export function getEffectList(params: {
            /**
             * 场景名 U3D_SCENE_SPECTRUM2D_VALUE-动感舞台, U3D_SCENE_AR_VALUE-AR主播
             */
            sceneName: string;
        }): Promise<{
            /**
             * 类型
             */
            type: number;
            /**
             * u3dResourceId
             */
            u3dResourceId: number;
            /**
             * u3dResourceType
             */
            u3dResourceType: number;
            /**
             * thumb
             */
            thumb: string;
        }[]>;
        /**
         * 启动activity
         * @eapi
         * @param {SceneReq} params 启动参数
         * @returns {Promise<void>} 调用结果
         */
        export function loadUnity(params: {
            /**
             * 场景名 U3D_SCENE_SPECTRUM2D_VALUE-动感舞台, U3D_SCENE_AR_VALUE-AR主播
             */
            sceneName: string;
        }): Promise<void>;
        /**
         * 启动activity
         * @eapi
         * @param {SceneReq} params 启动参数
         * @returns {Promise<void>} 调用结果
         */
        export function loadUnity(params: {
            /**
             * 场景名 U3D_SCENE_SPECTRUM2D_VALUE-动感舞台, U3D_SCENE_AR_VALUE-AR主播
             */
            sceneName: string;
        }): Promise<void>;
        /**
         * 退出Unity
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function unloadUnity(): Promise<void>;
        /**
         * 退出Unity
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function unloadUnity(): Promise<void>;
        /**
         * @edata
         * @typedef {Object} SwitchReq 切换参数
         * @property {number} resourceType resourceType
         * @property {number} resourceId resourceId
         */
        /**
         * 切换AR特效
         * @eapi
         * @param {SwitchReq} params 切换参数
         * @returns {Promise<void>} 调用结果
         */
        export function switchArEffect(params: {
            /**
             * resourceType
             */
            resourceType: number;
            /**
             * resourceId
             */
            resourceId: number;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} SwitchReq 切换参数
         * @property {number} resourceType resourceType
         * @property {number} resourceId resourceId
         */
        /**
         * 切换AR特效
         * @eapi
         * @param {SwitchReq} params 切换参数
         * @returns {Promise<void>} 调用结果
         */
        export function switchArEffect(params: {
            /**
             * resourceType
             */
            resourceType: number;
            /**
             * resourceId
             */
            resourceId: number;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} SceneResp
         * @property {string} sceneName 场景名
         */
        /**
         * 获取当前场景名
         * @eapi
         * @returns {Promise<SceneResp>} 调用结果
         */
        export function getCurrentScene(): Promise<{
            /**
             * 场景名
             */
            sceneName: string;
        }>;
        /**
         * @edata
         * @typedef {Object} SceneResp
         * @property {string} sceneName 场景名
         */
        /**
         * 获取当前场景名
         * @eapi
         * @returns {Promise<SceneResp>} 调用结果
         */
        export function getCurrentScene(): Promise<{
            /**
             * 场景名
             */
            sceneName: string;
        }>;
        /**
         * 重置AR平面
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function resetPlane(): Promise<void>;
        /**
         * 重置AR平面
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function resetPlane(): Promise<void>;
        /**
         * @edata
         * @typedef {Object} RunningResp
         * @property {boolean} isRunning 是否在运行
         */
        /**
         * 判断U3D是否正在运行
         * @eapi
         * @returns {Promise<RunningResp>} 查询结果
         */
        export function isRunning(): Promise<{
            /**
             * 是否在运行
             */
            isRunning: boolean;
        }>;
        /**
         * @edata
         * @typedef {Object} RunningResp
         * @property {boolean} isRunning 是否在运行
         */
        /**
         * 判断U3D是否正在运行
         * @eapi
         * @returns {Promise<RunningResp>} 查询结果
         */
        export function isRunning(): Promise<{
            /**
             * 是否在运行
             */
            isRunning: boolean;
        }>;
        /**
         * @edata
         * @typedef {Object} ArEffectInfo AR特效信息
         * @property {number} resourceType resourceType
         * @property {number} resourceId resourceId
         */
        /**
         * 获取当前AR特效
         * @eapi
         * @returns {Promise<ArEffectInfo>} 调用结果
         */
        export function getCurrentArEffect(): Promise<{
            /**
             * resourceType
             */
            resourceType: number;
            /**
             * resourceId
             */
            resourceId: number;
        }>;
        /**
         * @edata
         * @typedef {Object} ArEffectInfo AR特效信息
         * @property {number} resourceType resourceType
         * @property {number} resourceId resourceId
         */
        /**
         * 获取当前AR特效
         * @eapi
         * @returns {Promise<ArEffectInfo>} 调用结果
         */
        export function getCurrentArEffect(): Promise<{
            /**
             * resourceType
             */
            resourceType: number;
            /**
             * resourceId
             */
            resourceId: number;
        }>;
    }
}
export default _default;
