declare namespace _default {
    export namespace action {
        /**
         * @typedef {any} Enum
         */
        /**
         * 小程序入口控制参数
         * @edata
         * @typedef {Object} EntranceReq
         * @property {string} extType 小程序类型, web_video_com-虎牙主站面板(默认), web_popup-虎牙主站浮窗, app_panel-虎牙直播APP面板, app_popup-虎牙直播APP浮窗, zs_anchor_panel-虎牙助手面板, zs_anchor_popup-虎牙助手浮窗, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板, pc_popup-PC观众端浮窗
         * @property {boolean} visible 入口是否显示
         * @property {Object} [param] 自定义参数
         */
        /**
         * 小程序入口控制
         * @eapi
         * @param {EntranceReq} params 输入参数
         * @returns {Promise<any>}
         */
        export function localControlEntrance(params: {
            /**
             * 小程序类型, web_video_com-虎牙主站面板(默认), web_popup-虎牙主站浮窗, app_panel-虎牙直播APP面板, app_popup-虎牙直播APP浮窗, zs_anchor_panel-虎牙助手面板, zs_anchor_popup-虎牙助手浮窗, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板, pc_popup-PC观众端浮窗
             */
            extType: string;
            /**
             * 入口是否显示
             */
            visible: boolean;
            /**
             * 自定义参数
             */
            param?: Object;
        }): Promise<any>;
        /**
         * @typedef {any} Enum
         */
        /**
         * 小程序入口控制参数
         * @edata
         * @typedef {Object} EntranceReq
         * @property {string} extType 小程序类型, web_video_com-虎牙主站面板(默认), web_popup-虎牙主站浮窗, app_panel-虎牙直播APP面板, app_popup-虎牙直播APP浮窗, zs_anchor_panel-虎牙助手面板, zs_anchor_popup-虎牙助手浮窗, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板, pc_popup-PC观众端浮窗
         * @property {boolean} visible 入口是否显示
         * @property {Object} [param] 自定义参数
         */
        /**
         * 小程序入口控制
         * @eapi
         * @param {EntranceReq} params 输入参数
         * @returns {Promise<any>}
         */
        export function localControlEntrance(params: {
            /**
             * 小程序类型, web_video_com-虎牙主站面板(默认), web_popup-虎牙主站浮窗, app_panel-虎牙直播APP面板, app_popup-虎牙直播APP浮窗, zs_anchor_panel-虎牙助手面板, zs_anchor_popup-虎牙助手浮窗, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板, pc_popup-PC观众端浮窗
             */
            extType: string;
            /**
             * 入口是否显示
             */
            visible: boolean;
            /**
             * 自定义参数
             */
            param?: Object;
        }): Promise<any>;
        /**
         * @edata
         * @typedef {Object} PanelLoadReq
         * @property {string} extType 小程序类型, web_video_com-虎牙主站面板(默认), web_popup-虎牙主站浮窗, app_panel-虎牙直播APP面板, app_popup-虎牙直播APP浮窗, zs_anchor_panel-虎牙助手面板, zs_anchor_popup-虎牙助手浮窗, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板, pc_popup-PC观众端浮窗
         * @property {boolean} load 是否加载（仅适用于浮窗类型的小程序，是否加载）
         * @property {Object} [param] 自定义参数
         */
        /**
         * 本地控制小程序面板加载
         * @eapi
         * @param {PanelLoadReq} params 输入参数
         * @returns {Promise<any>}
         */
        export function localControlPanelLoad(params: {
            /**
             * 小程序类型, web_video_com-虎牙主站面板(默认), web_popup-虎牙主站浮窗, app_panel-虎牙直播APP面板, app_popup-虎牙直播APP浮窗, zs_anchor_panel-虎牙助手面板, zs_anchor_popup-虎牙助手浮窗, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板, pc_popup-PC观众端浮窗
             */
            extType: string;
            /**
             * 是否加载（仅适用于浮窗类型的小程序，是否加载）
             */
            load: boolean;
            /**
             * 自定义参数
             */
            param?: Object;
        }): Promise<any>;
        /**
         * @edata
         * @typedef {Object} PanelLoadReq
         * @property {string} extType 小程序类型, web_video_com-虎牙主站面板(默认), web_popup-虎牙主站浮窗, app_panel-虎牙直播APP面板, app_popup-虎牙直播APP浮窗, zs_anchor_panel-虎牙助手面板, zs_anchor_popup-虎牙助手浮窗, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板, pc_popup-PC观众端浮窗
         * @property {boolean} load 是否加载（仅适用于浮窗类型的小程序，是否加载）
         * @property {Object} [param] 自定义参数
         */
        /**
         * 本地控制小程序面板加载
         * @eapi
         * @param {PanelLoadReq} params 输入参数
         * @returns {Promise<any>}
         */
        export function localControlPanelLoad(params: {
            /**
             * 小程序类型, web_video_com-虎牙主站面板(默认), web_popup-虎牙主站浮窗, app_panel-虎牙直播APP面板, app_popup-虎牙直播APP浮窗, zs_anchor_panel-虎牙助手面板, zs_anchor_popup-虎牙助手浮窗, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板, pc_popup-PC观众端浮窗
             */
            extType: string;
            /**
             * 是否加载（仅适用于浮窗类型的小程序，是否加载）
             */
            load: boolean;
            /**
             * 自定义参数
             */
            param?: Object;
        }): Promise<any>;
        /**
         * 本地控制小程序面板可见 参数
         * @edata
         * @typedef {Object} PanelVisibleReq
         * @property {string} extType 小程序类型, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板, zs_anchor_panel-虎牙助手面板, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板
         * @property {boolean} visible 是否可见
         * @property {Object} [param] 自定义参数
         */
        /**
         * 本地控制小程序面板可见
         * @eapi
         * @summary 仅适用于面板类型的小程序
         * @param {PanelVisibleReq} params 输入参数
         * @returns {Promise<any>} 调用参数
         */
        export function localControlPanelVisible(params: {
            /**
             * 小程序类型, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板, zs_anchor_panel-虎牙助手面板, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板
             */
            extType: string;
            /**
             * 是否可见
             */
            visible: boolean;
            /**
             * 自定义参数
             */
            param?: Object;
        }): Promise<any>;
        /**
         * 本地控制小程序面板可见 参数
         * @edata
         * @typedef {Object} PanelVisibleReq
         * @property {string} extType 小程序类型, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板, zs_anchor_panel-虎牙助手面板, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板
         * @property {boolean} visible 是否可见
         * @property {Object} [param] 自定义参数
         */
        /**
         * 本地控制小程序面板可见
         * @eapi
         * @summary 仅适用于面板类型的小程序
         * @param {PanelVisibleReq} params 输入参数
         * @returns {Promise<any>} 调用参数
         */
        export function localControlPanelVisible(params: {
            /**
             * 小程序类型, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板, zs_anchor_panel-虎牙助手面板, pc_anchor_panel-PC主播端面板, pc_panel-PC观众端面板
             */
            extType: string;
            /**
             * 是否可见
             */
            visible: boolean;
            /**
             * 自定义参数
             */
            param?: Object;
        }): Promise<any>;
        /**
         * @edata
         * @typedef {Object} ShowEntranceReq
         * @property {string} extTypes 要显示入口的小程序类型枚举值，以逗号分隔, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板
         * @property {number} [countDown] 入口显示的倒计时，单位是秒
         * @property {string} [cornerMarkId] 入口显示的角标, -无, fire-火, new-新
         */
        /**
         * 显示客户端小程序入口
         * @summary 当小程序入口的显示受产品约束控制时，才需要用此API控制
         * - 该接口触发后，失效为1小时，如需要继续使用请再次触发，延续展示时长
         * @eapi
         * @param {ShowEntranceReq} params 参数
         * @returns {Promise<any>} 显示入口是否成功
         */
        export function showEntrance(params: {
            /**
             * 要显示入口的小程序类型枚举值，以逗号分隔, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板
             */
            extTypes: string;
            /**
             * 入口显示的倒计时，单位是秒
             */
            countDown?: number;
            /**
             * 入口显示的角标, -无, fire-火, new-新
             */
            cornerMarkId?: string;
        }): Promise<any>;
        /**
         * @edata
         * @typedef {Object} ShowEntranceReq
         * @property {string} extTypes 要显示入口的小程序类型枚举值，以逗号分隔, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板
         * @property {number} [countDown] 入口显示的倒计时，单位是秒
         * @property {string} [cornerMarkId] 入口显示的角标, -无, fire-火, new-新
         */
        /**
         * 显示客户端小程序入口
         * @summary 当小程序入口的显示受产品约束控制时，才需要用此API控制
         * - 该接口触发后，失效为1小时，如需要继续使用请再次触发，延续展示时长
         * @eapi
         * @param {ShowEntranceReq} params 参数
         * @returns {Promise<any>} 显示入口是否成功
         */
        export function showEntrance(params: {
            /**
             * 要显示入口的小程序类型枚举值，以逗号分隔, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板
             */
            extTypes: string;
            /**
             * 入口显示的倒计时，单位是秒
             */
            countDown?: number;
            /**
             * 入口显示的角标, -无, fire-火, new-新
             */
            cornerMarkId?: string;
        }): Promise<any>;
        /**
         * 隐藏客户端小程序入口参数
         * @edata
         * @typedef {Object} HideEntranceReq
         * @property {string} extTypes 要隐藏入口的小程序类型枚举值，以逗号分隔, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板
         */
        /**
         * 隐藏客户端小程序入口
         * @summary 当小程序入口的显示受产品约束控制时，才需要用此API控制
         * @eapi
         * @param {HideEntranceReq} params 参数
         * @returns {Promise<any>} 隐藏入口是否成功
         */
        export function hideEntrance(params: {
            /**
             * 要隐藏入口的小程序类型枚举值，以逗号分隔, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板
             */
            extTypes: string;
        }): Promise<any>;
        /**
         * 隐藏客户端小程序入口参数
         * @edata
         * @typedef {Object} HideEntranceReq
         * @property {string} extTypes 要隐藏入口的小程序类型枚举值，以逗号分隔, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板
         */
        /**
         * 隐藏客户端小程序入口
         * @summary 当小程序入口的显示受产品约束控制时，才需要用此API控制
         * @eapi
         * @param {HideEntranceReq} params 参数
         * @returns {Promise<any>} 隐藏入口是否成功
         */
        export function hideEntrance(params: {
            /**
             * 要隐藏入口的小程序类型枚举值，以逗号分隔, web_video_com-虎牙主站面板(默认), app_panel-虎牙直播APP面板
             */
            extTypes: string;
        }): Promise<any>;
    }
}
export default _default;
