declare namespace _default {
    export namespace advance {
        /**
         * 直播间信息
         * @edata
         * @typedef {Object} RespChannelInfo
         * @property {string} aSid aSid
         * @property {string} topSid 顶级频道
         * @property {string} subSid 子频道
         * @property {number} presenterId 主播uid
         * @property {string} presenterName 当前用户昵称
         * @property {number} currentUid 当前用户uid
         * @property {string} currentLogoUrl 当前用户头像
         * @property {string} presenterLogoUrl 主播头像
         * @property {number} durationAfterJoinSuccess 观看时长，秒
         * @property {string} gameId 品类ID
         * @property {number} subscribeState 当前主播订阅状态, 0-未订阅, 1-已订阅
         * @property {number} isLiving 是否正在直播, 0-不在直播, 1-正在直播
         */
        /**
         * 当前直播间信息
         * @eapi
         * @returns {Promise<RespChannelInfo>} 返回直播间信息
         */
        export function currentChannelInfo(): Promise<{
            /**
             * aSid
             */
            aSid: string;
            /**
             * 顶级频道
             */
            topSid: string;
            /**
             * 子频道
             */
            subSid: string;
            /**
             * 主播uid
             */
            presenterId: number;
            /**
             * 当前用户昵称
             */
            presenterName: string;
            /**
             * 当前用户uid
             */
            currentUid: number;
            /**
             * 当前用户头像
             */
            currentLogoUrl: string;
            /**
             * 主播头像
             */
            presenterLogoUrl: string;
            /**
             * 观看时长，秒
             */
            durationAfterJoinSuccess: number;
            /**
             * 品类ID
             */
            gameId: string;
            /**
             * 当前主播订阅状态, 0-未订阅, 1-已订阅
             */
            subscribeState: number;
            /**
             * 是否正在直播, 0-不在直播, 1-正在直播
             */
            isLiving: number;
        }>;
        /**
         * 直播间信息
         * @edata
         * @typedef {Object} RespChannelInfo
         * @property {string} aSid aSid
         * @property {string} topSid 顶级频道
         * @property {string} subSid 子频道
         * @property {number} presenterId 主播uid
         * @property {string} presenterName 当前用户昵称
         * @property {number} currentUid 当前用户uid
         * @property {string} currentLogoUrl 当前用户头像
         * @property {string} presenterLogoUrl 主播头像
         * @property {number} durationAfterJoinSuccess 观看时长，秒
         * @property {string} gameId 品类ID
         * @property {number} subscribeState 当前主播订阅状态, 0-未订阅, 1-已订阅
         * @property {number} isLiving 是否正在直播, 0-不在直播, 1-正在直播
         */
        /**
         * 当前直播间信息
         * @eapi
         * @returns {Promise<RespChannelInfo>} 返回直播间信息
         */
        export function currentChannelInfo(): Promise<{
            /**
             * aSid
             */
            aSid: string;
            /**
             * 顶级频道
             */
            topSid: string;
            /**
             * 子频道
             */
            subSid: string;
            /**
             * 主播uid
             */
            presenterId: number;
            /**
             * 当前用户昵称
             */
            presenterName: string;
            /**
             * 当前用户uid
             */
            currentUid: number;
            /**
             * 当前用户头像
             */
            currentLogoUrl: string;
            /**
             * 主播头像
             */
            presenterLogoUrl: string;
            /**
             * 观看时长，秒
             */
            durationAfterJoinSuccess: number;
            /**
             * 品类ID
             */
            gameId: string;
            /**
             * 当前主播订阅状态, 0-未订阅, 1-已订阅
             */
            subscribeState: number;
            /**
             * 是否正在直播, 0-不在直播, 1-正在直播
             */
            isLiving: number;
        }>;
        /**
         * @edata
         * @typedef {Object} LoginParams
         * @property {number} type 登录类型, 0-全屏登录, 1-半屏登录(默认)
         */
        /**
         * 跳转登陆界面
         * @eapi
         * @param {LoginParams} [param] 参数
         * @returns {Promise<void>} 返回是否跳转成功
         */
        export function showLogin(param?: {
            /**
             * 登录类型, 0-全屏登录, 1-半屏登录(默认)
             */
            type: number;
        } | undefined): Promise<void>;
        /**
         * @edata
         * @typedef {Object} LoginParams
         * @property {number} type 登录类型, 0-全屏登录, 1-半屏登录(默认)
         */
        /**
         * 跳转登陆界面
         * @eapi
         * @param {LoginParams} [param] 参数
         * @returns {Promise<void>} 返回是否跳转成功
         */
        export function showLogin(param?: {
            /**
             * 登录类型, 0-全屏登录, 1-半屏登录(默认)
             */
            type: number;
        } | undefined): Promise<void>;
        /**
         * 频道信息
         * @edata
         * @typedef {Object} ChannelInfo
         * @property {number} tid 顶级频道
         * @property {number} sid 子频道
         * @property {number} pid 主播id
         * @property {string} presenterNick 主播昵称
         * @property {boolean} isGuard 是否对应主播的守护
         * @property {number} guardLevel 守护等级
         * @property {boolean} isFans 是否对应主播的粉丝
         * @property {number} fansLevel 粉丝等级
         * @property {string} fansName 粉丝名称
         */
        /**
         * 贵族信息
         * @edata
         * @typedef {Object} NobleInfo
         * @property {boolean} isNoble 是否是贵族
         * @property {number} uid 用户uid
         * @property {number} validDate 贵族有效期的时间戳
         * @property {string} nobleName 贵族名称
         * @property {number} nobleLevel 贵族等级, 6-大帝, 5-君王, 4-公爵
         * @property {string} nobleNick 用户昵称
         * @property {ChannelInfo} channelInfo 频道信息
         */
        /**
         * 详细用户信息
         * @edata
         * @typedef {Object} MainUserInfo
         * @property {number} imid imid
         * @property {number} uid 用户ID
         * @property {string} status status
         * @property {number} err_code 错误码
         * @property {string} udbToken udbToken
         * @property {string} ticketType ticketType
         * @property {string} avatarUrl 头像路径
         * @property {string} sex 性别 "女"、"男"
         * @property {string} name 用户nice
         * @property {number} userLevel 用户等级
         * @property {string} sign 签名
         * @property {number} userCurrentExp 当前经验值
         * @property {number} nextLevelExp 下个等级经验值
         * @property {number} dailyExp 日经验
         * @property {NobleInfo} nobleInfo 贵族信息
         * @property {boolean} isThirdPartyLogin 是否第三方登录
         */
        /**
         * 当前登陆用户相关信息
         * @eapi
         * @returns {Promise<MainUserInfo>} 返回当前登陆用户相关信息
         */
        export function getCurrentUserInfo(): Promise<{
            /**
             * imid
             */
            imid: number;
            /**
             * 用户ID
             */
            uid: number;
            /**
             * status
             */
            status: string;
            /**
             * 错误码
             */
            err_code: number;
            /**
             * udbToken
             */
            udbToken: string;
            /**
             * ticketType
             */
            ticketType: string;
            /**
             * 头像路径
             */
            avatarUrl: string;
            /**
             * 性别 "女"、"男"
             */
            sex: string;
            /**
             * 用户nice
             */
            name: string;
            /**
             * 用户等级
             */
            userLevel: number;
            /**
             * 签名
             */
            sign: string;
            /**
             * 当前经验值
             */
            userCurrentExp: number;
            /**
             * 下个等级经验值
             */
            nextLevelExp: number;
            /**
             * 日经验
             */
            dailyExp: number;
            /**
             * 贵族信息
             */
            nobleInfo: {
                /**
                 * 是否是贵族
                 */
                isNoble: boolean;
                /**
                 * 用户uid
                 */
                uid: number;
                /**
                 * 贵族有效期的时间戳
                 */
                validDate: number;
                /**
                 * 贵族名称
                 */
                nobleName: string;
                /**
                 * 贵族等级, 6-大帝, 5-君王, 4-公爵
                 */
                nobleLevel: number;
                /**
                 * 用户昵称
                 */
                nobleNick: string;
                /**
                 * 频道信息
                 */
                channelInfo: {
                    /**
                     * 顶级频道
                     */
                    tid: number;
                    /**
                     * 子频道
                     */
                    sid: number;
                    /**
                     * 主播id
                     */
                    pid: number;
                    /**
                     * 主播昵称
                     */
                    presenterNick: string;
                    /**
                     * 是否对应主播的守护
                     */
                    isGuard: boolean;
                    /**
                     * 守护等级
                     */
                    guardLevel: number;
                    /**
                     * 是否对应主播的粉丝
                     */
                    isFans: boolean;
                    /**
                     * 粉丝等级
                     */
                    fansLevel: number;
                    /**
                     * 粉丝名称
                     */
                    fansName: string;
                };
            };
            /**
             * 是否第三方登录
             */
            isThirdPartyLogin: boolean;
        }>;
        /**
         * 频道信息
         * @edata
         * @typedef {Object} ChannelInfo
         * @property {number} tid 顶级频道
         * @property {number} sid 子频道
         * @property {number} pid 主播id
         * @property {string} presenterNick 主播昵称
         * @property {boolean} isGuard 是否对应主播的守护
         * @property {number} guardLevel 守护等级
         * @property {boolean} isFans 是否对应主播的粉丝
         * @property {number} fansLevel 粉丝等级
         * @property {string} fansName 粉丝名称
         */
        /**
         * 贵族信息
         * @edata
         * @typedef {Object} NobleInfo
         * @property {boolean} isNoble 是否是贵族
         * @property {number} uid 用户uid
         * @property {number} validDate 贵族有效期的时间戳
         * @property {string} nobleName 贵族名称
         * @property {number} nobleLevel 贵族等级, 6-大帝, 5-君王, 4-公爵
         * @property {string} nobleNick 用户昵称
         * @property {ChannelInfo} channelInfo 频道信息
         */
        /**
         * 详细用户信息
         * @edata
         * @typedef {Object} MainUserInfo
         * @property {number} imid imid
         * @property {number} uid 用户ID
         * @property {string} status status
         * @property {number} err_code 错误码
         * @property {string} udbToken udbToken
         * @property {string} ticketType ticketType
         * @property {string} avatarUrl 头像路径
         * @property {string} sex 性别 "女"、"男"
         * @property {string} name 用户nice
         * @property {number} userLevel 用户等级
         * @property {string} sign 签名
         * @property {number} userCurrentExp 当前经验值
         * @property {number} nextLevelExp 下个等级经验值
         * @property {number} dailyExp 日经验
         * @property {NobleInfo} nobleInfo 贵族信息
         * @property {boolean} isThirdPartyLogin 是否第三方登录
         */
        /**
         * 当前登陆用户相关信息
         * @eapi
         * @returns {Promise<MainUserInfo>} 返回当前登陆用户相关信息
         */
        export function getCurrentUserInfo(): Promise<{
            /**
             * imid
             */
            imid: number;
            /**
             * 用户ID
             */
            uid: number;
            /**
             * status
             */
            status: string;
            /**
             * 错误码
             */
            err_code: number;
            /**
             * udbToken
             */
            udbToken: string;
            /**
             * ticketType
             */
            ticketType: string;
            /**
             * 头像路径
             */
            avatarUrl: string;
            /**
             * 性别 "女"、"男"
             */
            sex: string;
            /**
             * 用户nice
             */
            name: string;
            /**
             * 用户等级
             */
            userLevel: number;
            /**
             * 签名
             */
            sign: string;
            /**
             * 当前经验值
             */
            userCurrentExp: number;
            /**
             * 下个等级经验值
             */
            nextLevelExp: number;
            /**
             * 日经验
             */
            dailyExp: number;
            /**
             * 贵族信息
             */
            nobleInfo: {
                /**
                 * 是否是贵族
                 */
                isNoble: boolean;
                /**
                 * 用户uid
                 */
                uid: number;
                /**
                 * 贵族有效期的时间戳
                 */
                validDate: number;
                /**
                 * 贵族名称
                 */
                nobleName: string;
                /**
                 * 贵族等级, 6-大帝, 5-君王, 4-公爵
                 */
                nobleLevel: number;
                /**
                 * 用户昵称
                 */
                nobleNick: string;
                /**
                 * 频道信息
                 */
                channelInfo: {
                    /**
                     * 顶级频道
                     */
                    tid: number;
                    /**
                     * 子频道
                     */
                    sid: number;
                    /**
                     * 主播id
                     */
                    pid: number;
                    /**
                     * 主播昵称
                     */
                    presenterNick: string;
                    /**
                     * 是否对应主播的守护
                     */
                    isGuard: boolean;
                    /**
                     * 守护等级
                     */
                    guardLevel: number;
                    /**
                     * 是否对应主播的粉丝
                     */
                    isFans: boolean;
                    /**
                     * 粉丝等级
                     */
                    fansLevel: number;
                    /**
                     * 粉丝名称
                     */
                    fansName: string;
                };
            };
            /**
             * 是否第三方登录
             */
            isThirdPartyLogin: boolean;
        }>;
        /**
         * 数据埋点上报接口
         * @eapi
         * @param {string} prod prod
         * @param {string} eid eid
         * @param {string} label label
         * @param {Object} [extraInfo] extraInfo
         * @returns {Promise<void>}
         */
        export function addActionEventWithExtraInfo(prod: string, eid: string, label: string, extraInfo?: Object | undefined): Promise<void>;
        /**
         * 数据埋点上报接口
         * @eapi
         * @param {string} prod prod
         * @param {string} eid eid
         * @param {string} label label
         * @param {Object} [extraInfo] extraInfo
         * @returns {Promise<void>}
         */
        export function addActionEventWithExtraInfo(prod: string, eid: string, label: string, extraInfo?: Object | undefined): Promise<void>;
        /**
         * @edata
         * @typedef {Object} ReqUrlInfo 外链信息
         * @property {string} url 要打开的url
         */
        /**
         * 打开指定的Url
         * @eapi
         * @param {ReqUrlInfo} 参数
         * @returns {Promise<void>} 返回打开结果
         */
        export function openUrl(param: any): Promise<void>;
        /**
         * @edata
         * @typedef {Object} ReqUrlInfo 外链信息
         * @property {string} url 要打开的url
         */
        /**
         * 打开指定的Url
         * @eapi
         * @param {ReqUrlInfo} 参数
         * @returns {Promise<void>} 返回打开结果
         */
        export function openUrl(param: any): Promise<void>;
        /**
         * @edata
         * @typedef {Object} TidInfo 用户凭证
         * @property {number} lUid 用户uid
         * @property {string} sGuid guid
         * @property {string} sToken token
         * @property {string} sHuYaUA ua
         * @property {string} sCookie cookie
         * @property {number} iTokenType token type
         * @property {string} sDeviceInfo 设备信息
         */
        /**
         * @edata
         * @typedef {Object} TidResp
         * @property {TidInfo} tId 用户凭证
         */
        /**
         * 获取用户凭证
         * @eapi
         * @returns {Promise<TidResp>} 返回结果
         */
        export function getTid(): Promise<{
            /**
             * 用户凭证
             */
            tId: {
                /**
                 * 用户uid
                 */
                lUid: number;
                /**
                 * guid
                 */
                sGuid: string;
                /**
                 * token
                 */
                sToken: string;
                /**
                 * ua
                 */
                sHuYaUA: string;
                /**
                 * cookie
                 */
                sCookie: string;
                /**
                 * token type
                 */
                iTokenType: number;
                /**
                 * 设备信息
                 */
                sDeviceInfo: string;
            };
        }>;
        /**
         * @edata
         * @typedef {Object} TidInfo 用户凭证
         * @property {number} lUid 用户uid
         * @property {string} sGuid guid
         * @property {string} sToken token
         * @property {string} sHuYaUA ua
         * @property {string} sCookie cookie
         * @property {number} iTokenType token type
         * @property {string} sDeviceInfo 设备信息
         */
        /**
         * @edata
         * @typedef {Object} TidResp
         * @property {TidInfo} tId 用户凭证
         */
        /**
         * 获取用户凭证
         * @eapi
         * @returns {Promise<TidResp>} 返回结果
         */
        export function getTid(): Promise<{
            /**
             * 用户凭证
             */
            tId: {
                /**
                 * 用户uid
                 */
                lUid: number;
                /**
                 * guid
                 */
                sGuid: string;
                /**
                 * token
                 */
                sToken: string;
                /**
                 * ua
                 */
                sHuYaUA: string;
                /**
                 * cookie
                 */
                sCookie: string;
                /**
                 * token type
                 */
                iTokenType: number;
                /**
                 * 设备信息
                 */
                sDeviceInfo: string;
            };
        }>;
        /**
         * SendWupResp
         * @edata
         * @typedef {Object} SendWupResp 发送Wup消息回调
         * @property {Object} rsp 响应的jce对象
         */
        /**
         * WupReq
         * @edata
         * @typedef {Object} WupReq taf请求参数
         * @property {Object} req 请求的jce对象
         * @property {Function|Object} rspClass 响应的jce类
         * @property {string} servant servant/ui
         * @property {string} funcName 方法名
         * @property {number} [strategy] 策略, 0-加载网络, 2-加载缓存
         * @property {string} [reqClassName] 请求的jce类名
         * @property {string} [rspClassName] 响应的jce类名
         * @property {number} [channel] 通道
         * @property {number} [retryCount] 重试次数
         * @property {number} [totalTimeout] 总超时时间，单位s
         * @property {any} [unitPacket] unitPacket
         */
        /**
         * 发送taf请求
         * @eapi
         * @param {WupReq} params 请求参数
         * @returns {Promise<SendWupResp>} 请求返回的jce对象
         */
        export function sendWup(params: {
            /**
             * 请求的jce对象
             */
            req: Object;
            /**
             * 响应的jce类
             */
            rspClass: Object | Function;
            /**
             * servant/ui
             */
            servant: string;
            /**
             * 方法名
             */
            funcName: string;
            /**
             * 策略, 0-加载网络, 2-加载缓存
             */
            strategy?: number;
            /**
             * 请求的jce类名
             */
            reqClassName?: string;
            /**
             * 响应的jce类名
             */
            rspClassName?: string;
            /**
             * 通道
             */
            channel?: number;
            /**
             * 重试次数
             */
            retryCount?: number;
            /**
             * 总超时时间，单位s
             */
            totalTimeout?: number;
            /**
             * unitPacket
             */
            unitPacket?: any;
        }): Promise<{
            /**
             * 响应的jce对象
             */
            rsp: Object;
        }>;
        /**
         * SendWupResp
         * @edata
         * @typedef {Object} SendWupResp 发送Wup消息回调
         * @property {Object} rsp 响应的jce对象
         */
        /**
         * WupReq
         * @edata
         * @typedef {Object} WupReq taf请求参数
         * @property {Object} req 请求的jce对象
         * @property {Function|Object} rspClass 响应的jce类
         * @property {string} servant servant/ui
         * @property {string} funcName 方法名
         * @property {number} [strategy] 策略, 0-加载网络, 2-加载缓存
         * @property {string} [reqClassName] 请求的jce类名
         * @property {string} [rspClassName] 响应的jce类名
         * @property {number} [channel] 通道
         * @property {number} [retryCount] 重试次数
         * @property {number} [totalTimeout] 总超时时间，单位s
         * @property {any} [unitPacket] unitPacket
         */
        /**
         * 发送taf请求
         * @eapi
         * @param {WupReq} params 请求参数
         * @returns {Promise<SendWupResp>} 请求返回的jce对象
         */
        export function sendWup(params: {
            /**
             * 请求的jce对象
             */
            req: Object;
            /**
             * 响应的jce类
             */
            rspClass: Object | Function;
            /**
             * servant/ui
             */
            servant: string;
            /**
             * 方法名
             */
            funcName: string;
            /**
             * 策略, 0-加载网络, 2-加载缓存
             */
            strategy?: number;
            /**
             * 请求的jce类名
             */
            reqClassName?: string;
            /**
             * 响应的jce类名
             */
            rspClassName?: string;
            /**
             * 通道
             */
            channel?: number;
            /**
             * 重试次数
             */
            retryCount?: number;
            /**
             * 总超时时间，单位s
             */
            totalTimeout?: number;
            /**
             * unitPacket
             */
            unitPacket?: any;
        }): Promise<{
            /**
             * 响应的jce对象
             */
            rsp: Object;
        }>;
        /**
         * WupMessage
         * @edata
         * @typedef {Object} WupMessage Wup消息
         * @property {Object} message jce对象
         */
        /**
         * Wup消息回调
         * @edata
         * @callback WupMessageCallback Wup消息回调
         * @param {WupMessage} wupMessage 回调参数
         */
        /**
         * 监听信息传参
         * @edata
         * @typedef {Object} WupMessageReq 监听信息
         * @property {Object|Function} messageClass 返回的jce对象类型
         * @property {string} uri 监听uri
         * @property {WupMessageCallback} callback 回调函数
         */
        /**
         * 监听taf信令
         * @eapi
         * @param {WupMessageReq} params 监听信息
         * @returns {Promise<void>} 监听结果
         */
        export function onWupMessage(params: {
            /**
             * 返回的jce对象类型
             */
            messageClass: Object | Function;
            /**
             * 监听uri
             */
            uri: string;
            /**
             * 回调函数
             */
            callback: (wupMessage: {
                /**
                 * jce对象
                 */
                message: Object;
            }) => any;
        }): Promise<void>;
        /**
         * WupMessage
         * @edata
         * @typedef {Object} WupMessage Wup消息
         * @property {Object} message jce对象
         */
        /**
         * Wup消息回调
         * @edata
         * @callback WupMessageCallback Wup消息回调
         * @param {WupMessage} wupMessage 回调参数
         */
        /**
         * 监听信息传参
         * @edata
         * @typedef {Object} WupMessageReq 监听信息
         * @property {Object|Function} messageClass 返回的jce对象类型
         * @property {string} uri 监听uri
         * @property {WupMessageCallback} callback 回调函数
         */
        /**
         * 监听taf信令
         * @eapi
         * @param {WupMessageReq} params 监听信息
         * @returns {Promise<void>} 监听结果
         */
        export function onWupMessage(params: {
            /**
             * 返回的jce对象类型
             */
            messageClass: Object | Function;
            /**
             * 监听uri
             */
            uri: string;
            /**
             * 回调函数
             */
            callback: (wupMessage: {
                /**
                 * jce对象
                 */
                message: Object;
            }) => any;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} LinkStatusResp 信令长链接变化回调参数
         * @property {boolean} connected 通道是否已连接
         */
        /**
         * @edata
         * @callback LinkStatusChange 信令长链接变化回调
         * @param {LinkStatusResp} linkStatusResp 回调参数
         */
        /**
         * @edata
         * @typedef {Object} LinkStatusReq 监听信息
         * @property {number} channelType 要监听的通道类型
         * @property {LinkStatusChange} callback 回调函数
         */
        /**
         * 监听信令⻓连接状态
         * @eapi
         * @param {LinkStatusReq} params 监听参数
         * @returns {Promise<void>} 监听结果
         */
        export function onLinkStatusChange(params: {
            /**
             * 要监听的通道类型
             */
            channelType: number;
            /**
             * 回调函数
             */
            callback: (linkStatusResp: {
                /**
                 * 通道是否已连接
                 */
                connected: boolean;
            }) => any;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} LinkStatusResp 信令长链接变化回调参数
         * @property {boolean} connected 通道是否已连接
         */
        /**
         * @edata
         * @callback LinkStatusChange 信令长链接变化回调
         * @param {LinkStatusResp} linkStatusResp 回调参数
         */
        /**
         * @edata
         * @typedef {Object} LinkStatusReq 监听信息
         * @property {number} channelType 要监听的通道类型
         * @property {LinkStatusChange} callback 回调函数
         */
        /**
         * 监听信令⻓连接状态
         * @eapi
         * @param {LinkStatusReq} params 监听参数
         * @returns {Promise<void>} 监听结果
         */
        export function onLinkStatusChange(params: {
            /**
             * 要监听的通道类型
             */
            channelType: number;
            /**
             * 回调函数
             */
            callback: (linkStatusResp: {
                /**
                 * 通道是否已连接
                 */
                connected: boolean;
            }) => any;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} RegisteInfo 注册组信息
         * @property {string} [group] 组ID
         * @property {Array.<string>} [groupIds] 组ID列表
         * @property {number} [channelType] 通道类型
         */
        /**
         * 注册广播组
         * @eapi
         * @param {RegisteInfo} params 注册组信息
         * @returns {Promise<void>} 注册广播组结果
         */
        export function registerGroup(params: {
            /**
             * 组ID
             */
            group?: string;
            /**
             * 组ID列表
             */
            groupIds?: string[];
            /**
             * 通道类型
             */
            channelType?: number;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} RegisteInfo 注册组信息
         * @property {string} [group] 组ID
         * @property {Array.<string>} [groupIds] 组ID列表
         * @property {number} [channelType] 通道类型
         */
        /**
         * 注册广播组
         * @eapi
         * @param {RegisteInfo} params 注册组信息
         * @returns {Promise<void>} 注册广播组结果
         */
        export function registerGroup(params: {
            /**
             * 组ID
             */
            group?: string;
            /**
             * 组ID列表
             */
            groupIds?: string[];
            /**
             * 通道类型
             */
            channelType?: number;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} UnRegisteInfo 注销组信息
         * @property {Array.<string>} [groupIds] 组ID列表
         * @property {number} [channelType] 通道类型
         */
        /**
         * 注销广播组
         * @eapi
         * @param {UnRegisteInfo} params 要注销的组信息
         * @returns {Promise<void>} 注销广播组结果
         */
        export function unRegisterGroup(params: {
            /**
             * 组ID列表
             */
            groupIds?: string[];
            /**
             * 通道类型
             */
            channelType?: number;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} UnRegisteInfo 注销组信息
         * @property {Array.<string>} [groupIds] 组ID列表
         * @property {number} [channelType] 通道类型
         */
        /**
         * 注销广播组
         * @eapi
         * @param {UnRegisteInfo} params 要注销的组信息
         * @returns {Promise<void>} 注销广播组结果
         */
        export function unRegisterGroup(params: {
            /**
             * 组ID列表
             */
            groupIds?: string[];
            /**
             * 通道类型
             */
            channelType?: number;
        }): Promise<void>;
        /**
         * 礼物信息
         * @edata
         * @typedef {Object} ReqSendGiftInfo
         * @property {number} giftId 礼物Id
         * @property {number} giftCount 礼物个数
         */
        /**
         * 【高级】当前用户送礼
         * @summary 与hyExt.context.sendGift的区别是，这个接口不会弹出二次确认弹窗，直接送出礼物
         * @eapi
         * @param {ReqSendGiftInfo} params 送礼信息
         * @returns {Promise<void>}
         */
        export function sendGift(params: {
            /**
             * 礼物Id
             */
            giftId: number;
            /**
             * 礼物个数
             */
            giftCount: number;
        }): Promise<void>;
        /**
         * 礼物信息
         * @edata
         * @typedef {Object} ReqSendGiftInfo
         * @property {number} giftId 礼物Id
         * @property {number} giftCount 礼物个数
         */
        /**
         * 【高级】当前用户送礼
         * @summary 与hyExt.context.sendGift的区别是，这个接口不会弹出二次确认弹窗，直接送出礼物
         * @eapi
         * @param {ReqSendGiftInfo} params 送礼信息
         * @returns {Promise<void>}
         */
        export function sendGift(params: {
            /**
             * 礼物Id
             */
            giftId: number;
            /**
             * 礼物个数
             */
            giftCount: number;
        }): Promise<void>;
        /**
         * 发送礼物信息
         * @edata
         * @typedef {Object} SendGiftTUInfo
         * @property {number} giftId 发送礼物Id
         * @property {number} giftCount 发送礼物个数
         * @property {number} uid 用户的uid
         */
        /**
         * 在交友直播间中指定用户送礼
         * @summary 这个接口不会弹出二次确认弹窗，直接送出礼物
         * - 仅适用于交友直播间
         * @eapi
         * @param {SendGiftTUInfo} params 礼物信息
         * @returns {Promise<void>}
         */
        export function sendGiftToUser(params: {
            /**
             * 发送礼物Id
             */
            giftId: number;
            /**
             * 发送礼物个数
             */
            giftCount: number;
            /**
             * 用户的uid
             */
            uid: number;
        }): Promise<void>;
        /**
         * 发送礼物信息
         * @edata
         * @typedef {Object} SendGiftTUInfo
         * @property {number} giftId 发送礼物Id
         * @property {number} giftCount 发送礼物个数
         * @property {number} uid 用户的uid
         */
        /**
         * 在交友直播间中指定用户送礼
         * @summary 这个接口不会弹出二次确认弹窗，直接送出礼物
         * - 仅适用于交友直播间
         * @eapi
         * @param {SendGiftTUInfo} params 礼物信息
         * @returns {Promise<void>}
         */
        export function sendGiftToUser(params: {
            /**
             * 发送礼物Id
             */
            giftId: number;
            /**
             * 发送礼物个数
             */
            giftCount: number;
            /**
             * 用户的uid
             */
            uid: number;
        }): Promise<void>;
        /**
         * 上麦用户信息
         * @edata
         * @typedef {Object} MicUserInfo
         * @property {number} uid 用户的uid
         * @property {string} userNick 用户昵称
         * @property {string} userAvatarUrl 用户头像地址
         * @property {number} status 上麦状态, 1-上麦中, 2-等待中
         * @property {number} seatType 身份, 0-纯交友：全部麦位, 1-陪玩派单：老板麦位, 2-陪玩派单：接待麦位, 3-交友电台：守护麦位, 4-交友电台：高级守护麦位
         * @property {number} pos 麦序（从1开始，仅适用于上麦状态是上麦中的用户）
         * @property {string} seatName 座位名字，仅适用于上麦状态是上麦中的用户
         */
        /**
         * 获取交友直播间上麦用户信息
         * @eapi
         * @returns {Promise<Array.<MicUserInfo>>} 上麦用户信息列表
         * @reject {Error} 错误信息
         */
        export function getJoinMicUserList(): Promise<{
            /**
             * 用户的uid
             */
            uid: number;
            /**
             * 用户昵称
             */
            userNick: string;
            /**
             * 用户头像地址
             */
            userAvatarUrl: string;
            /**
             * 上麦状态, 1-上麦中, 2-等待中
             */
            status: number;
            /**
             * 身份, 0-纯交友：全部麦位, 1-陪玩派单：老板麦位, 2-陪玩派单：接待麦位, 3-交友电台：守护麦位, 4-交友电台：高级守护麦位
             */
            seatType: number;
            /**
             * 麦序（从1开始，仅适用于上麦状态是上麦中的用户）
             */
            pos: number;
            /**
             * 座位名字，仅适用于上麦状态是上麦中的用户
             */
            seatName: string;
        }[]>;
        /**
         * 上麦用户信息
         * @edata
         * @typedef {Object} MicUserInfo
         * @property {number} uid 用户的uid
         * @property {string} userNick 用户昵称
         * @property {string} userAvatarUrl 用户头像地址
         * @property {number} status 上麦状态, 1-上麦中, 2-等待中
         * @property {number} seatType 身份, 0-纯交友：全部麦位, 1-陪玩派单：老板麦位, 2-陪玩派单：接待麦位, 3-交友电台：守护麦位, 4-交友电台：高级守护麦位
         * @property {number} pos 麦序（从1开始，仅适用于上麦状态是上麦中的用户）
         * @property {string} seatName 座位名字，仅适用于上麦状态是上麦中的用户
         */
        /**
         * 获取交友直播间上麦用户信息
         * @eapi
         * @returns {Promise<Array.<MicUserInfo>>} 上麦用户信息列表
         * @reject {Error} 错误信息
         */
        export function getJoinMicUserList(): Promise<{
            /**
             * 用户的uid
             */
            uid: number;
            /**
             * 用户昵称
             */
            userNick: string;
            /**
             * 用户头像地址
             */
            userAvatarUrl: string;
            /**
             * 上麦状态, 1-上麦中, 2-等待中
             */
            status: number;
            /**
             * 身份, 0-纯交友：全部麦位, 1-陪玩派单：老板麦位, 2-陪玩派单：接待麦位, 3-交友电台：守护麦位, 4-交友电台：高级守护麦位
             */
            seatType: number;
            /**
             * 麦序（从1开始，仅适用于上麦状态是上麦中的用户）
             */
            pos: number;
            /**
             * 座位名字，仅适用于上麦状态是上麦中的用户
             */
            seatName: string;
        }[]>;
        /**
         * @edata
         * @typedef {Object} GetLocalItemReq 获取本地设置参数
         * @property {string} key 键
         * @property {boolean} bindUid 是否要跟主播的身份绑定
         */
        /**
         * @edata
         * @typedef {Object} SetLocalItemResp 本地设置信息
         * @property {string} value 值
         */
        /**
         * 读取本地设置
         * @eapi
         * @param {GetLocalItemReq} params 读取参数
         * @returns {Promise<SetLocalItemResp>} 调用结果
         */
        export function getLocalItem(params: {
            /**
             * 键
             */
            key: string;
            /**
             * 是否要跟主播的身份绑定
             */
            bindUid: boolean;
        }): Promise<{
            /**
             * 值
             */
            value: string;
        }>;
        /**
         * @edata
         * @typedef {Object} GetLocalItemReq 获取本地设置参数
         * @property {string} key 键
         * @property {boolean} bindUid 是否要跟主播的身份绑定
         */
        /**
         * @edata
         * @typedef {Object} SetLocalItemResp 本地设置信息
         * @property {string} value 值
         */
        /**
         * 读取本地设置
         * @eapi
         * @param {GetLocalItemReq} params 读取参数
         * @returns {Promise<SetLocalItemResp>} 调用结果
         */
        export function getLocalItem(params: {
            /**
             * 键
             */
            key: string;
            /**
             * 是否要跟主播的身份绑定
             */
            bindUid: boolean;
        }): Promise<{
            /**
             * 值
             */
            value: string;
        }>;
        /**
         * @edata
         * @typedef {Object} SetLocalItemReq 修改本地设置信息
         * @property {string} key 键
         * @property {string} value 值
         * @property {boolean} bindUid 是否要跟主播的身份绑定
         */
        /**
         * 修改本地设置
         * @eapi
         * @param {SetLocalItemReq} params 调用参数
         * @returns {Promise<void>} 调用结果
         */
        export function setLocalItem(params: {
            /**
             * 键
             */
            key: string;
            /**
             * 值
             */
            value: string;
            /**
             * 是否要跟主播的身份绑定
             */
            bindUid: boolean;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} SetLocalItemReq 修改本地设置信息
         * @property {string} key 键
         * @property {string} value 值
         * @property {boolean} bindUid 是否要跟主播的身份绑定
         */
        /**
         * 修改本地设置
         * @eapi
         * @param {SetLocalItemReq} params 调用参数
         * @returns {Promise<void>} 调用结果
         */
        export function setLocalItem(params: {
            /**
             * 键
             */
            key: string;
            /**
             * 值
             */
            value: string;
            /**
             * 是否要跟主播的身份绑定
             */
            bindUid: boolean;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} AddEffectReq
         * @property {string} md5 资源的md5
         * @property {string} fileName 文件名
         * @property {Object} [param] 额外参数
         */
        /**
         * 高级增加特效
         * @summary 这个接口增加的特效和助手本身的效果不互斥
         * @eapi
         * @param {AddEffectReq} params 输入参数
         * @returns {Promise<void>} 调用结果
         */
        export function addEffect(params: {
            /**
             * 资源的md5
             */
            md5: string;
            /**
             * 文件名
             */
            fileName: string;
            /**
             * 额外参数
             */
            param?: Object;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} AddEffectReq
         * @property {string} md5 资源的md5
         * @property {string} fileName 文件名
         * @property {Object} [param] 额外参数
         */
        /**
         * 高级增加特效
         * @summary 这个接口增加的特效和助手本身的效果不互斥
         * @eapi
         * @param {AddEffectReq} params 输入参数
         * @returns {Promise<void>} 调用结果
         */
        export function addEffect(params: {
            /**
             * 资源的md5
             */
            md5: string;
            /**
             * 文件名
             */
            fileName: string;
            /**
             * 额外参数
             */
            param?: Object;
        }): Promise<void>;
    }
}
export default _default;
