declare namespace _default {
    /**
     * 扩展加载完成回调
     * @eapi <directly>
     * @param {Function} callback 回调函数
     */
    export function onLoad(callback: Function): any;
    /**
     * 扩展加载完成回调
     * @eapi <directly>
     * @param {Function} callback 回调函数
     */
    export function onLoad(callback: Function): any;
    /**
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onUnload(callback: Function): any;
    /**
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onUnload(callback: Function): any;
    /**
     * 注册App进入前台时回调
     * @summary WEB切换到当前标签页或者小程序显示都会触发
     * - APP/助手唤醒至前台时触发
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onEnterForeground(callback: Function): any;
    /**
     * 注册App进入前台时回调
     * @summary WEB切换到当前标签页或者小程序显示都会触发
     * - APP/助手唤醒至前台时触发
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onEnterForeground(callback: Function): any;
    /**
     * 注册App进入后台时回调
     * @summary WEB切换到别的标签页或者小程序隐藏都会触发
     * - APP/助手从前台退出时触发
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onLeaveForeground(callback: Function): any;
    /**
     * 注册App进入后台时回调
     * @summary WEB切换到别的标签页或者小程序隐藏都会触发
     * - APP/助手从前台退出时触发
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onLeaveForeground(callback: Function): any;
    /**
     * 小程序显示的生命周期
     * @summary 小程序显示的时候触发
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onAppear(callback: Function): any;
    /**
     * 小程序显示的生命周期
     * @summary 小程序显示的时候触发
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onAppear(callback: Function): any;
    /**
     * 小程序隐藏的生命周期
     * @summary 小程序隐藏的时候触发
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onDisappear(callback: Function): any;
    /**
     * 小程序隐藏的生命周期
     * @summary 小程序隐藏的时候触发
     * @eapi <directly>
     * @param {Function} callback
     */
    export function onDisappear(callback: Function): any;
}
export default _default;
