declare namespace _default {
    export namespace device {
        /**
         * @edata
         * @typedef {Object} CameraResolutionInfo
         * @property {number} width 宽度（单位是像素）
         * @property {number} height 高度（单位是像素）
         */
        /**
         * 获取设备摄像头分辨率
         * @eapi
         * @returns {Promise<CameraResolutionInfo>}
         */
        export function getCameraResolution(): Promise<{
            /**
             * 宽度（单位是像素）
             */
            width: number;
            /**
             * 高度（单位是像素）
             */
            height: number;
        }>;
        /**
         * @edata
         * @typedef {Object} CameraResolutionInfo
         * @property {number} width 宽度（单位是像素）
         * @property {number} height 高度（单位是像素）
         */
        /**
         * 获取设备摄像头分辨率
         * @eapi
         * @returns {Promise<CameraResolutionInfo>}
         */
        export function getCameraResolution(): Promise<{
            /**
             * 宽度（单位是像素）
             */
            width: number;
            /**
             * 高度（单位是像素）
             */
            height: number;
        }>;
        /**
         * 开始录制音频
         * @eapi
         * @returns {Promise<void>}
         */
        export function startAudioRecording(): Promise<void>;
        /**
         * 开始录制音频
         * @eapi
         * @returns {Promise<void>}
         */
        export function startAudioRecording(): Promise<void>;
        /**
         * @edata
         * @typedef {Object} RecordInfo
         * @property {string} url 录音的地址
         */
        /**
         * 结束录制音频
         * @eapi
         * @returns {Promise<RecordInfo>}
         */
        export function finishAudioRecording(): Promise<{
            /**
             * 录音的地址
             */
            url: string;
        }>;
        /**
         * @edata
         * @typedef {Object} RecordInfo
         * @property {string} url 录音的地址
         */
        /**
         * 结束录制音频
         * @eapi
         * @returns {Promise<RecordInfo>}
         */
        export function finishAudioRecording(): Promise<{
            /**
             * 录音的地址
             */
            url: string;
        }>;
        /**
         * @edata
         * @typedef {Object} SetOrientationOptions
         * @property {string} orientation 方向, portrait-竖屏(默认), landscape-横屏
         */
        /**
         * 设置横竖屏
         * @eapi
         * @param {SetOrientationOptions} params  输入参数
         * @returns {Promise<void>}
         */
        export function setOrientation(params: {
            /**
             * 方向, portrait-竖屏(默认), landscape-横屏
             */
            orientation: string;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} SetOrientationOptions
         * @property {string} orientation 方向, portrait-竖屏(默认), landscape-横屏
         */
        /**
         * 设置横竖屏
         * @eapi
         * @param {SetOrientationOptions} params  输入参数
         * @returns {Promise<void>}
         */
        export function setOrientation(params: {
            /**
             * 方向, portrait-竖屏(默认), landscape-横屏
             */
            orientation: string;
        }): Promise<void>;
        /**
         * @edata
         * @typedef {Object} DeviceInfo
         * @property {boolean} isCameraOn 主播是否打开摄像头
         * @property {boolean} isMicOn 主播是否打开麦克风
         * @property {boolean} isSpeakerOn 主播是否打开扬声器
         * @property {boolean} isKalaokOn 主播是否打开伴奏
         */
        /**
         * 获取当前直播间的设备状态
         * @eapi
         * @returns {Promise<DeviceInfo>}
         */
        export function getDeviceInfo(): Promise<{
            /**
             * 主播是否打开摄像头
             */
            isCameraOn: boolean;
            /**
             * 主播是否打开麦克风
             */
            isMicOn: boolean;
            /**
             * 主播是否打开扬声器
             */
            isSpeakerOn: boolean;
            /**
             * 主播是否打开伴奏
             */
            isKalaokOn: boolean;
        }>;
        /**
         * @edata
         * @typedef {Object} DeviceInfo
         * @property {boolean} isCameraOn 主播是否打开摄像头
         * @property {boolean} isMicOn 主播是否打开麦克风
         * @property {boolean} isSpeakerOn 主播是否打开扬声器
         * @property {boolean} isKalaokOn 主播是否打开伴奏
         */
        /**
         * 获取当前直播间的设备状态
         * @eapi
         * @returns {Promise<DeviceInfo>}
         */
        export function getDeviceInfo(): Promise<{
            /**
             * 主播是否打开摄像头
             */
            isCameraOn: boolean;
            /**
             * 主播是否打开麦克风
             */
            isMicOn: boolean;
            /**
             * 主播是否打开扬声器
             */
            isSpeakerOn: boolean;
            /**
             * 主播是否打开伴奏
             */
            isKalaokOn: boolean;
        }>;
    }
}
export default _default;
