declare namespace _default {
    export namespace env {
        /**
        * @edata
        * @typedef {Enum} ExtVersionType
        * @param {number} number1 开发版本
        * @param {number} number2 灰度版本
        * @param {number} number3 正式版本
        */
        /**
         * @edata
         * @typedef {Object} GetVersionTypeRsp
         * @property {ExtVersionType} versionType 版本类型
         */
        /**
         * 获取当前版本类型
         * @eapi
         * @returns {Promise<GetVersionTypeRsp>} 返回当前版本类型
         */
        export function getVersionType(): Promise<{
            /**
             * 版本类型
             */
            versionType: any;
        }>;
        /**
        * @edata
        * @typedef {Enum} ExtVersionType
        * @param {number} number1 开发版本
        * @param {number} number2 灰度版本
        * @param {number} number3 正式版本
        */
        /**
         * @edata
         * @typedef {Object} GetVersionTypeRsp
         * @property {ExtVersionType} versionType 版本类型
         */
        /**
         * 获取当前版本类型
         * @eapi
         * @returns {Promise<GetVersionTypeRsp>} 返回当前版本类型
         */
        export function getVersionType(): Promise<{
            /**
             * 版本类型
             */
            versionType: any;
        }>;
        /**
         * 获取初始化参数
         * @eapi
         * @returns {Promise<Object>} 初始化参数
         */
        export function getInitialParam(): Promise<Object>;
        /**
         * 获取初始化参数
         * @eapi
         * @returns {Promise<Object>} 初始化参数
         */
        export function getInitialParam(): Promise<Object>;
        /**
         * @edata
         * @typedef {Object} GetExtInfoRsp
         * @property {string} extUuid 小程序id
         * @property {string} extName 小程序名字
         * @property {string} extVersion 小程序版本
         * @property {ExtVersionType} extVersionType 版本类型枚举
         * @property {string} extType 小程序类型
         */
        /**
         * 获取小程序参数
         * @eapi
         * @returns {Promise<GetExtInfoRsp>} 小程序参数
         */
        export function getExtInfo(): Promise<{
            /**
             * 小程序id
             */
            extUuid: string;
            /**
             * 小程序名字
             */
            extName: string;
            /**
             * 小程序版本
             */
            extVersion: string;
            /**
             * 版本类型枚举
             */
            extVersionType: any;
            /**
             * 小程序类型
             */
            extType: string;
        }>;
        /**
         * @edata
         * @typedef {Object} GetExtInfoRsp
         * @property {string} extUuid 小程序id
         * @property {string} extName 小程序名字
         * @property {string} extVersion 小程序版本
         * @property {ExtVersionType} extVersionType 版本类型枚举
         * @property {string} extType 小程序类型
         */
        /**
         * 获取小程序参数
         * @eapi
         * @returns {Promise<GetExtInfoRsp>} 小程序参数
         */
        export function getExtInfo(): Promise<{
            /**
             * 小程序id
             */
            extUuid: string;
            /**
             * 小程序名字
             */
            extName: string;
            /**
             * 小程序版本
             */
            extVersion: string;
            /**
             * 版本类型枚举
             */
            extVersionType: any;
            /**
             * 小程序类型
             */
            extType: string;
        }>;
        /**
        * @edata
        * @typedef {Enum} Host
        * @param {string} huya_web 虎牙直播WEB主站
        * @param {string} huya_app_ios 虎牙直播APP(iOS)
        * @param {string} huya_app_adr 虎牙直播APP(安卓)
        * @param {string} huya_pc_viewer 虎牙直播PC观众端
        * @param {string} huya_pc_anchor 虎牙直播PC主播端
        * @param {string} huya_zs_ios 虎牙直播助手(iOS)
        * @param {string} huya_zs_adr 虎牙直播助手(安卓)
        */
        /**
        * @edata
        * @typedef {Enum} Platform
        * @param {string} web 浏览器
        * @param {string} ios IOS
        * @param {string} adr 安卓
        * @param {string} pc PC客户端
        */
        /**
         * 宿主信息
         * @edata
         * @typedef {Object} GetHostInfoRsp
         * @property {Host} name 宿主名称
         * @property {Platform} platform 平台
         * @property {string} version 宿主版本
         * @property {string} baseVersion 基础包版本
         */
        /**
         * 获取宿主信息接口,
         * 使用querystring解析rn bundle的查询串参数，返回给小程序
         * @eapi
         * @returns {Promise<GetHostInfoRsp>} 返回宿主信息
         */
        export function getHostInfo(): Promise<{
            /**
             * 宿主名称
             */
            name: any;
            /**
             * 平台
             */
            platform: any;
            /**
             * 宿主版本
             */
            version: string;
            /**
             * 基础包版本
             */
            baseVersion: string;
        }>;
        /**
        * @edata
        * @typedef {Enum} Host
        * @param {string} huya_web 虎牙直播WEB主站
        * @param {string} huya_app_ios 虎牙直播APP(iOS)
        * @param {string} huya_app_adr 虎牙直播APP(安卓)
        * @param {string} huya_pc_viewer 虎牙直播PC观众端
        * @param {string} huya_pc_anchor 虎牙直播PC主播端
        * @param {string} huya_zs_ios 虎牙直播助手(iOS)
        * @param {string} huya_zs_adr 虎牙直播助手(安卓)
        */
        /**
        * @edata
        * @typedef {Enum} Platform
        * @param {string} web 浏览器
        * @param {string} ios IOS
        * @param {string} adr 安卓
        * @param {string} pc PC客户端
        */
        /**
         * 宿主信息
         * @edata
         * @typedef {Object} GetHostInfoRsp
         * @property {Host} name 宿主名称
         * @property {Platform} platform 平台
         * @property {string} version 宿主版本
         * @property {string} baseVersion 基础包版本
         */
        /**
         * 获取宿主信息接口,
         * 使用querystring解析rn bundle的查询串参数，返回给小程序
         * @eapi
         * @returns {Promise<GetHostInfoRsp>} 返回宿主信息
         */
        export function getHostInfo(): Promise<{
            /**
             * 宿主名称
             */
            name: any;
            /**
             * 平台
             */
            platform: any;
            /**
             * 宿主版本
             */
            version: string;
            /**
             * 基础包版本
             */
            baseVersion: string;
        }>;
    }
}
export default _default;
