declare namespace _default {
    export namespace game {
        /**
         * 启动游戏传参
         * @edata
         * @typedef {Object} GameStartReq 启动游戏参数
         * @property {string} md5 md5
         * @property {Object} [params] params自定义参数
         */
        /**
         * 启动游戏
         * @eapi
         * @param {GameStartReq} params 参数
         * @returns {Promise<void>} 返回操作结果
         */
        export function start(params: {
            /**
             * md5
             */
            md5: string;
            /**
             * params自定义参数
             */
            params?: Object;
        }): Promise<void>;
        /**
         * 启动游戏传参
         * @edata
         * @typedef {Object} GameStartReq 启动游戏参数
         * @property {string} md5 md5
         * @property {Object} [params] params自定义参数
         */
        /**
         * 启动游戏
         * @eapi
         * @param {GameStartReq} params 参数
         * @returns {Promise<void>} 返回操作结果
         */
        export function start(params: {
            /**
             * md5
             */
            md5: string;
            /**
             * params自定义参数
             */
            params?: Object;
        }): Promise<void>;
        /**
         * 停止游戏
         * @eapi
         * @returns {Promise<void>} 返回操作结果
         */
        export function stop(): Promise<void>;
        /**
         * 停止游戏
         * @eapi
         * @returns {Promise<void>} 返回操作结果
         */
        export function stop(): Promise<void>;
        /**
         * 发送指令传参
         * @edata
         * @typedef {Object} GamePushCommandReq 发送指令参数
         * @property {string} cmd cmd
         * @property {Object} [params] params
         */
        /**
         * 发送指令
         * @eapi
         * @param {GamePushCommandReq} params 参数
         * @returns {Promise<void>} 返回操作结果
         */
        export function pushCommand(params: {
            /**
             * cmd
             */
            cmd: string;
            /**
             * params
             */
            params?: Object;
        }): Promise<void>;
        /**
         * 发送指令传参
         * @edata
         * @typedef {Object} GamePushCommandReq 发送指令参数
         * @property {string} cmd cmd
         * @property {Object} [params] params
         */
        /**
         * 发送指令
         * @eapi
         * @param {GamePushCommandReq} params 参数
         * @returns {Promise<void>} 返回操作结果
         */
        export function pushCommand(params: {
            /**
             * cmd
             */
            cmd: string;
            /**
             * params
             */
            params?: Object;
        }): Promise<void>;
        /**
         * Command消息回调
         * @edata
         * @callback GameOnCommandCallback Command消息回调函数
         * @param {string} message 回调消息
         */
        /**
         * 监听onCommand消息传参
         * @edata
         * @typedef {Object} GameOnCommandReq 监听onCommand消息参数
         * @property {GameOnCommandCallback} callback callback
         */
        /**
         * 监听onCommand消息
         * @eapi
         * @param {GameOnCommandReq} params 参数
         * @returns {Promise<void>} 返回操作结果
         */
        export function onCommand(params: {
            /**
             * callback
             */
            callback: (message: string) => any;
        }): Promise<void>;
        /**
         * Command消息回调
         * @edata
         * @callback GameOnCommandCallback Command消息回调函数
         * @param {string} message 回调消息
         */
        /**
         * 监听onCommand消息传参
         * @edata
         * @typedef {Object} GameOnCommandReq 监听onCommand消息参数
         * @property {GameOnCommandCallback} callback callback
         */
        /**
         * 监听onCommand消息
         * @eapi
         * @param {GameOnCommandReq} params 参数
         * @returns {Promise<void>} 返回操作结果
         */
        export function onCommand(params: {
            /**
             * callback
             */
            callback: (message: string) => any;
        }): Promise<void>;
    }
}
export default _default;
