declare namespace _default {
    export namespace link {
        /**
         * @edata
         * 连麦房间信息
         * @typedef {Object} LinkMicRoomInfo
         * @property {string} linkMicRoomId 连麦房间id
         */
        /**
         * 创建连麦房间(无用)
         * @eapi
         * @returns {Promise<LinkMicRoomInfo>} 返回连麦房间信息
         */
        export function createLinkMicRoom(): Promise<{
            /**
             * 连麦房间id
             */
            linkMicRoomId: string;
        }>;
        /**
         * @edata
         * 连麦房间信息
         * @typedef {Object} LinkMicRoomInfo
         * @property {string} linkMicRoomId 连麦房间id
         */
        /**
         * 创建连麦房间(无用)
         * @eapi
         * @returns {Promise<LinkMicRoomInfo>} 返回连麦房间信息
         */
        export function createLinkMicRoom(): Promise<{
            /**
             * 连麦房间id
             */
            linkMicRoomId: string;
        }>;
        /**
         * @edata
         * 连麦房间参数
         * @typedef {Object} LinkMicRoomParams
         * @property {string} linkMicRoomId 连麦房间id
         */
        /**
         * 加入连麦房间(无用)
         * @eapi
         * @param {LinkMicRoomParams} params 加入连麦房间参数
         * @returns {Promise<void>} 返回加入连麦房间结果
         */
        export function joinLinkMicRoom(params: {
            /**
             * 连麦房间id
             */
            linkMicRoomId: string;
        }): Promise<void>;
        /**
         * @edata
         * 连麦房间参数
         * @typedef {Object} LinkMicRoomParams
         * @property {string} linkMicRoomId 连麦房间id
         */
        /**
         * 加入连麦房间(无用)
         * @eapi
         * @param {LinkMicRoomParams} params 加入连麦房间参数
         * @returns {Promise<void>} 返回加入连麦房间结果
         */
        export function joinLinkMicRoom(params: {
            /**
             * 连麦房间id
             */
            linkMicRoomId: string;
        }): Promise<void>;
        /**
         * 离开连麦房间(无用)
         * @eapi
         * @param {LinkMicRoomParams} params 离开连麦房间参数
         * @returns {Promise<void>} 返回离开连麦房间结果
         */
        export function leaveLinkMicRoom(params: {
            /**
             * 连麦房间id
             */
            linkMicRoomId: string;
        }): Promise<void>;
        /**
         * 离开连麦房间(无用)
         * @eapi
         * @param {LinkMicRoomParams} params 离开连麦房间参数
         * @returns {Promise<void>} 返回离开连麦房间结果
         */
        export function leaveLinkMicRoom(params: {
            /**
             * 连麦房间id
             */
            linkMicRoomId: string;
        }): Promise<void>;
        /**
         * @edata
         * 流信息
         * @typedef {Object} AudioStreamInfo
         * @property {string} streamName 推流的流名称
         */
        /**
         * @edata
         * 讲话参数
         * @typedef {Object} PublishAudioParams
         * @property {string} [streamName] 指定流名称推流，可选，如果没给的话由端上生成流名称
         */
        /**
         * 开始讲话
         * @eapi
         * @param {PublishAudioParams} params 讲话参数
         * @returns {Promise<AudioStreamInfo>} 返回调用结果
         */
        export function startPublishAudio(params: {
            /**
             * 指定流名称推流，可选，如果没给的话由端上生成流名称
             */
            streamName?: string;
        }): Promise<{
            /**
             * 推流的流名称
             */
            streamName: string;
        }>;
        /**
         * @edata
         * 流信息
         * @typedef {Object} AudioStreamInfo
         * @property {string} streamName 推流的流名称
         */
        /**
         * @edata
         * 讲话参数
         * @typedef {Object} PublishAudioParams
         * @property {string} [streamName] 指定流名称推流，可选，如果没给的话由端上生成流名称
         */
        /**
         * 开始讲话
         * @eapi
         * @param {PublishAudioParams} params 讲话参数
         * @returns {Promise<AudioStreamInfo>} 返回调用结果
         */
        export function startPublishAudio(params: {
            /**
             * 指定流名称推流，可选，如果没给的话由端上生成流名称
             */
            streamName?: string;
        }): Promise<{
            /**
             * 推流的流名称
             */
            streamName: string;
        }>;
        /**
         * 停止讲话
         * @eapi
         * @returns {Promise<void>} 返回调用结果
         */
        export function stopPublishAudio(): Promise<void>;
        /**
         * 停止讲话
         * @eapi
         * @returns {Promise<void>} 返回调用结果
         */
        export function stopPublishAudio(): Promise<void>;
        /**
         * @edata
         * 音量参数
         * @typedef {Object} MicVolumeParams
         * @property {number} volume 音量，取值范围是0-100
         */
        /**
         * 设置讲话音量
         * @eapi
         * @param {MicVolumeParams} params 音量参数
         * @returns {Promise<void>} 返回调用结果
         */
        export function setMicVolume(params: {
            /**
             * 音量，取值范围是0-100
             */
            volume: number;
        }): Promise<void>;
        /**
         * @edata
         * 音量参数
         * @typedef {Object} MicVolumeParams
         * @property {number} volume 音量，取值范围是0-100
         */
        /**
         * 设置讲话音量
         * @eapi
         * @param {MicVolumeParams} params 音量参数
         * @returns {Promise<void>} 返回调用结果
         */
        export function setMicVolume(params: {
            /**
             * 音量，取值范围是0-100
             */
            volume: number;
        }): Promise<void>;
        /**
         * @edata
         * 更新音频播放参数
         * @typedef {Object} [UpdateAudioPlayParams]
         * @property {string} [unionId] 用户的unionId
         * @property {string} [uid] 在UDB-SDK相关接口没提供之前暂用
         * @property {string} [streamName] 流名称
         * @property {number} volume 音量，取值范围是0-100
         */
        /**
         * 更新音频播放
         * @eapi
         * @param {Array.<UpdateAudioPlayParams>} params 更新音频播放参数
         * @returns {Promise<void>} 返回调用结果
         */
        export function updateAudioPlay(params: any[]): Promise<void>;
        /**
         * @edata
         * 更新音频播放参数
         * @typedef {Object} [UpdateAudioPlayParams]
         * @property {string} [unionId] 用户的unionId
         * @property {string} [uid] 在UDB-SDK相关接口没提供之前暂用
         * @property {string} [streamName] 流名称
         * @property {number} volume 音量，取值范围是0-100
         */
        /**
         * 更新音频播放
         * @eapi
         * @param {Array.<UpdateAudioPlayParams>} params 更新音频播放参数
         * @returns {Promise<void>} 返回调用结果
         */
        export function updateAudioPlay(params: any[]): Promise<void>;
        /**
         * @edata
         * 流名称变化消息
         * @typedef {Object} StreamNameChangeInfo
         * @property {string} streamName 流名称
         */
        /**
         * @edata
         * 音频流改变回调
         * @callback AudioStreamNameChangeCallback
         * @param {StreamNameChangeInfo} streamNameChangeInfo 流名称变化消息
         */
        /**
         * @edata
         * 音频流改变参数
         * @typedef {Object} AudioStreamNameChangeParams
         * @property {AudioStreamNameChangeCallback} callback 音频流改变回调
         */
        /**
        * 监听音频流改变(无用)
        * @eapi
        * @param {AudioStreamNameChangeParams} params 音频流改变参数
        * @returns {Promise<void>} 返回调用结果
        */
        export function onAudioStreamNameChange(params: {
            /**
             * 音频流改变回调
             */
            callback: (streamNameChangeInfo: {
                /**
                 * 流名称
                 */
                streamName: string;
            }) => any;
        }): Promise<void>;
        /**
         * @edata
         * 流名称变化消息
         * @typedef {Object} StreamNameChangeInfo
         * @property {string} streamName 流名称
         */
        /**
         * @edata
         * 音频流改变回调
         * @callback AudioStreamNameChangeCallback
         * @param {StreamNameChangeInfo} streamNameChangeInfo 流名称变化消息
         */
        /**
         * @edata
         * 音频流改变参数
         * @typedef {Object} AudioStreamNameChangeParams
         * @property {AudioStreamNameChangeCallback} callback 音频流改变回调
         */
        /**
        * 监听音频流改变(无用)
        * @eapi
        * @param {AudioStreamNameChangeParams} params 音频流改变参数
        * @returns {Promise<void>} 返回调用结果
        */
        export function onAudioStreamNameChange(params: {
            /**
             * 音频流改变回调
             */
            callback: (streamNameChangeInfo: {
                /**
                 * 流名称
                 */
                streamName: string;
            }) => any;
        }): Promise<void>;
        /**
        * 移除音频流改变监听(无用)
        * @eapi
        * @returns {Promise<void>} 返回调用结果
        */
        export function offAudioStreamNameChange(): Promise<void>;
        /**
        * 移除音频流改变监听(无用)
        * @eapi
        * @returns {Promise<void>} 返回调用结果
        */
        export function offAudioStreamNameChange(): Promise<void>;
    }
}
export default _default;
