declare namespace _default {
    export namespace liveEvent {
        /**
         * 直播间事件消息回调
         * @edata
         * @callback LiveEventCallback Command消息回调函数
         * @param {Object} content 回调消息，服务端自定义
         */
        /**
         * 监听直播间事件
         * @eapi
         * @param {string} eventName
         * @param {LiveEventCallback} callback
         * @returns {Promise<boolean>} 调用结果
         */
        export function on(eventName: string, callback: (content: Object) => any): Promise<boolean>;
        /**
         * 直播间事件消息回调
         * @edata
         * @callback LiveEventCallback Command消息回调函数
         * @param {Object} content 回调消息，服务端自定义
         */
        /**
         * 监听直播间事件
         * @eapi
         * @param {string} eventName
         * @param {LiveEventCallback} callback
         * @returns {Promise<boolean>} 调用结果
         */
        export function on(eventName: string, callback: (content: Object) => any): Promise<boolean>;
        /**
         * 取消监听直播间事件
         * @eapi
         * @param {string} eventName 事件名
         * @param {LiveEventCallback} [callback] 回调函数
         * @returns {Promise<boolean>} 调用结果
         */
        export function off(eventName: string, callback?: ((content: Object) => any) | undefined): Promise<boolean>;
        /**
         * 取消监听直播间事件
         * @eapi
         * @param {string} eventName 事件名
         * @param {LiveEventCallback} [callback] 回调函数
         * @returns {Promise<boolean>} 调用结果
         */
        export function off(eventName: string, callback?: ((content: Object) => any) | undefined): Promise<boolean>;
    }
}
export default _default;
