declare namespace _default {
    export namespace ob {
        /**
         * @edata
         * 比赛状态信息
         * @typedef {Object} MatchInfo
         * @property {string} state 状态值
         */
        /**
         * 获取比赛信息
         * @eapi
         * @returns {Promise<MatchInfo>} 返回比赛状态信息
         */
        export function getMatchInfo(): Promise<{
            /**
             * 状态值
             */
            state: string;
        }>;
        /**
         * @edata
         * 比赛状态信息
         * @typedef {Object} MatchInfo
         * @property {string} state 状态值
         */
        /**
         * 获取比赛信息
         * @eapi
         * @returns {Promise<MatchInfo>} 返回比赛状态信息
         */
        export function getMatchInfo(): Promise<{
            /**
             * 状态值
             */
            state: string;
        }>;
        /**
         * 直播流的分隔配置参数
         * @edata
         * @typedef {Object} SplitedObParams
         * @property {number} row 行
         * @property {number} column 列
         * @property {number} height 高
         * @property {number} width 宽
         */
        /**
         * 设置超高分辨率直播流的分隔配置
         * @eapi
         * @param {SplitedObParams} param 直播流的分隔配置参数
         * @returns {Promise<void>} 返回当前视角信息
         */
        export function setSplitedOBStream(param: {
            /**
             * 行
             */
            row: number;
            /**
             * 列
             */
            column: number;
            /**
             * 高
             */
            height: number;
            /**
             * 宽
             */
            width: number;
        }): Promise<void>;
        /**
         * 直播流的分隔配置参数
         * @edata
         * @typedef {Object} SplitedObParams
         * @property {number} row 行
         * @property {number} column 列
         * @property {number} height 高
         * @property {number} width 宽
         */
        /**
         * 设置超高分辨率直播流的分隔配置
         * @eapi
         * @param {SplitedObParams} param 直播流的分隔配置参数
         * @returns {Promise<void>} 返回当前视角信息
         */
        export function setSplitedOBStream(param: {
            /**
             * 行
             */
            row: number;
            /**
             * 列
             */
            column: number;
            /**
             * 高
             */
            height: number;
            /**
             * 宽
             */
            width: number;
        }): Promise<void>;
        /**
         * 当前视角参数
         * @edata
         * @typedef {Object} PerspectiveParams
         * @property {number} pid 视角id
         */
        /**
         * 设置当前视角
         * @eapi
         * @param {PerspectiveParams} param 当前视角参数
         * @returns {Promise<void>} 返回设置视角是否成功
         */
        export function setPerspective(param: {
            /**
             * 视角id
             */
            pid: number;
        }): Promise<void>;
        /**
         * 当前视角参数
         * @edata
         * @typedef {Object} PerspectiveParams
         * @property {number} pid 视角id
         */
        /**
         * 设置当前视角
         * @eapi
         * @param {PerspectiveParams} param 当前视角参数
         * @returns {Promise<void>} 返回设置视角是否成功
         */
        export function setPerspective(param: {
            /**
             * 视角id
             */
            pid: number;
        }): Promise<void>;
        /**
         * 视角信息
         * @edata
         * @typedef {Object} PerspectiveInfo
         * @property {number} pid 视角id
         * @property {string} name 视角名称
         */
        /**
         * 获取视角列表
         * @eapi
         * @returns {Promise<Array.<PerspectiveInfo>>} 返回视角信息列表
         */
        export function getPerspectiveList(): Promise<{
            /**
             * 视角id
             */
            pid: number;
            /**
             * 视角名称
             */
            name: string;
        }[]>;
        /**
         * 视角信息
         * @edata
         * @typedef {Object} PerspectiveInfo
         * @property {number} pid 视角id
         * @property {string} name 视角名称
         */
        /**
         * 获取视角列表
         * @eapi
         * @returns {Promise<Array.<PerspectiveInfo>>} 返回视角信息列表
         */
        export function getPerspectiveList(): Promise<{
            /**
             * 视角id
             */
            pid: number;
            /**
             * 视角名称
             */
            name: string;
        }[]>;
        /**
         * 获取当前视角
         * @eapi
         * @returns {Promise<PerspectiveInfo>} 返回当前视角信息
         */
        export function getCurrentPerspective(): Promise<{
            /**
             * 视角id
             */
            pid: number;
            /**
             * 视角名称
             */
            name: string;
        }>;
        /**
         * 获取当前视角
         * @eapi
         * @returns {Promise<PerspectiveInfo>} 返回当前视角信息
         */
        export function getCurrentPerspective(): Promise<{
            /**
             * 视角id
             */
            pid: number;
            /**
             * 视角名称
             */
            name: string;
        }>;
        /**
         * ob消息回调
         * @edata
         * @callback OBCallback
         * @param {Object} content 回调消息
         */
        /**
         * 监听ob消息
         * @eapi
         * @param {string} topic 消息名 matchStatusChange-比赛状态改变(默认), perspectiveChange-当前视角改变
         * @param {OBCallback} callback 收到消息时回调
         */
        export function on(topic: string, callback: (content: Object) => any): any;
        /**
         * ob消息回调
         * @edata
         * @callback OBCallback
         * @param {Object} content 回调消息
         */
        /**
         * 监听ob消息
         * @eapi
         * @param {string} topic 消息名 matchStatusChange-比赛状态改变(默认), perspectiveChange-当前视角改变
         * @param {OBCallback} callback 收到消息时回调
         */
        export function on(topic: string, callback: (content: Object) => any): any;
        /**
         * 取消监听ob消息
         * @eapi
         * @param {string} topic 消息名 matchStatusChange-比赛状态改变(默认), perspectiveChange-当前视角改变
         * @param {OBCallback} [callback] 调用ob.on()时传入的函数的引用
         */
        export function off(topic: string, callback?: ((content: Object) => any) | undefined): any;
        /**
         * 取消监听ob消息
         * @eapi
         * @param {string} topic 消息名 matchStatusChange-比赛状态改变(默认), perspectiveChange-当前视角改变
         * @param {OBCallback} [callback] 调用ob.on()时传入的函数的引用
         */
        export function off(topic: string, callback?: ((content: Object) => any) | undefined): any;
    }
}
export default _default;
