declare namespace _default {
    export namespace pk {
        /**
         * @edata
         * @typedef {Object} PKStatusInfo
         * @property {number} status 结果枚举, 0-不能PK, 1-可以PK, 2-经过用户允许之后可以PK
         * @property {string} message 结果说明
         */
        /**
         * 是否能开启PK
         * @eapi
         * @returns {Promise<PKStatusInfo>} 结果
         */
        export function isPKAvailable(): Promise<{
            /**
             * 结果枚举, 0-不能PK, 1-可以PK, 2-经过用户允许之后可以PK
             */
            status: number;
            /**
             * 结果说明
             */
            message: string;
        }>;
        /**
         * @edata
         * @typedef {Object} PKStatusInfo
         * @property {number} status 结果枚举, 0-不能PK, 1-可以PK, 2-经过用户允许之后可以PK
         * @property {string} message 结果说明
         */
        /**
         * 是否能开启PK
         * @eapi
         * @returns {Promise<PKStatusInfo>} 结果
         */
        export function isPKAvailable(): Promise<{
            /**
             * 结果枚举, 0-不能PK, 1-可以PK, 2-经过用户允许之后可以PK
             */
            status: number;
            /**
             * 结果说明
             */
            message: string;
        }>;
        /**
         * @edata
         * @typedef {Object} PKInfo
         * @property {string} streamName 流名称
         * @property {number} videoWidth 推流宽度（单位是像素）
         * @property {number} videoHeight 推流高度（单位是像素）
         * @property {number} videoBitRate 推流码率
         * @property {number} mixStragy 策略, 1-本地混化, 2-服务器混化
         */
        /**
         * 开始PK
         * @eapi
         * @returns {Promise<PKInfo>} 结果
         */
        export function startPk(): Promise<{
            /**
             * 流名称
             */
            streamName: string;
            /**
             * 推流宽度（单位是像素）
             */
            videoWidth: number;
            /**
             * 推流高度（单位是像素）
             */
            videoHeight: number;
            /**
             * 推流码率
             */
            videoBitRate: number;
            /**
             * 策略, 1-本地混化, 2-服务器混化
             */
            mixStragy: number;
        }>;
        /**
         * @edata
         * @typedef {Object} PKInfo
         * @property {string} streamName 流名称
         * @property {number} videoWidth 推流宽度（单位是像素）
         * @property {number} videoHeight 推流高度（单位是像素）
         * @property {number} videoBitRate 推流码率
         * @property {number} mixStragy 策略, 1-本地混化, 2-服务器混化
         */
        /**
         * 开始PK
         * @eapi
         * @returns {Promise<PKInfo>} 结果
         */
        export function startPk(): Promise<{
            /**
             * 流名称
             */
            streamName: string;
            /**
             * 推流宽度（单位是像素）
             */
            videoWidth: number;
            /**
             * 推流高度（单位是像素）
             */
            videoHeight: number;
            /**
             * 推流码率
             */
            videoBitRate: number;
            /**
             * 策略, 1-本地混化, 2-服务器混化
             */
            mixStragy: number;
        }>;
        /**
         * 结束PK
         * @eapi
         * @returns {Promise<void>} 结果
         */
        export function stopPk(): Promise<void>;
        /**
         * 结束PK
         * @eapi
         * @returns {Promise<void>} 结果
         */
        export function stopPk(): Promise<void>;
        /**
         * 结束本地行为（连麦、原生PK等）
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function stopLocalAction(): Promise<void>;
        /**
         * 结束本地行为（连麦、原生PK等）
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function stopLocalAction(): Promise<void>;
    }
}
export default _default;
