declare namespace _default {
    export namespace player {
        /**
         * 小程序透明区域识别到单击手势，调用播放器单击事件
         * @eapi
         * @param {Object} [params] 触点相对于RN根元素坐标
         * @returns {Promise<void>} 返回调用是否成功
         */
        export function tapped(params?: Object | undefined): Promise<void>;
        /**
         * 小程序透明区域识别到单击手势，调用播放器单击事件
         * @eapi
         * @param {Object} [params] 触点相对于RN根元素坐标
         * @returns {Promise<void>} 返回调用是否成功
         */
        export function tapped(params?: Object | undefined): Promise<void>;
        /**
         * 小程序透明区域识别到双击手势，调用播放器双击事件
         * @eapi
         * @param {Object} [params] 触点相对于RN根元素坐标
         * @returns {Promise<void>} 返回调用是否成功
         */
        export function doubleTapped(params?: Object | undefined): Promise<void>;
        /**
         * 小程序透明区域识别到双击手势，调用播放器双击事件
         * @eapi
         * @param {Object} [params] 触点相对于RN根元素坐标
         * @returns {Promise<void>} 返回调用是否成功
         */
        export function doubleTapped(params?: Object | undefined): Promise<void>;
        /**
         * 帧信息
         * @edata
         * @typedef {Object} FrameInfo
         * @property {number} pts pts
         */
        /**
         * 获取当前播放的视频帧信息
         * @eapi
         * @returns {Promise<FrameInfo>} 返回帧信息
         */
        export function getFrameData(): Promise<{
            /**
             * pts
             */
            pts: number;
        }>;
        /**
         * 帧信息
         * @edata
         * @typedef {Object} FrameInfo
         * @property {number} pts pts
         */
        /**
         * 获取当前播放的视频帧信息
         * @eapi
         * @returns {Promise<FrameInfo>} 返回帧信息
         */
        export function getFrameData(): Promise<{
            /**
             * pts
             */
            pts: number;
        }>;
        /**
         * 事件监听
         * @eapi
         * @param {string} topic 事件名 waiting-waiting, seeking-seeking, seeked-seeked, playing-playing, ended-ended, canplay-canplay, loadedmetadata-loadedmetadata, pause-pause, play-play, timeupdate-timeupdate, videoFrameReduceStart-videoFrameReduceStart, videoFrameGrowEnd-videoFrameGrowEnd
         * @param {Function} handler 事件回调
         */
        export function on(topic: string, handler: Function): any;
        /**
         * 事件监听
         * @eapi
         * @param {string} topic 事件名 waiting-waiting, seeking-seeking, seeked-seeked, playing-playing, ended-ended, canplay-canplay, loadedmetadata-loadedmetadata, pause-pause, play-play, timeupdate-timeupdate, videoFrameReduceStart-videoFrameReduceStart, videoFrameGrowEnd-videoFrameGrowEnd
         * @param {Function} handler 事件回调
         */
        export function on(topic: string, handler: Function): any;
        /**
         * 取消事件监听
         * @eapi
         * @param {string} topic 事件名 waiting-waiting, seeking-seeking, seeked-seeked, playing-playing, ended-ended, canplay-canplay, loadedmetadata-loadedmetadata, pause-pause, play-play, timeupdate-timeupdate, videoFrameReduceStart-videoFrameReduceStart, videoFrameGrowEnd-videoFrameGrowEnd
         * @param {Function} [handler] 事件回调
         */
        export function off(topic: string, handler?: Function | undefined): any;
        /**
         * 取消事件监听
         * @eapi
         * @param {string} topic 事件名 waiting-waiting, seeking-seeking, seeked-seeked, playing-playing, ended-ended, canplay-canplay, loadedmetadata-loadedmetadata, pause-pause, play-play, timeupdate-timeupdate, videoFrameReduceStart-videoFrameReduceStart, videoFrameGrowEnd-videoFrameGrowEnd
         * @param {Function} [handler] 事件回调
         */
        export function off(topic: string, handler?: Function | undefined): any;
        /**
         * 切换线路参数
         * @edata
         * @typedef {Object} SwitchLineParams
         * @property {number} line 线路标识
         */
        /**
         * 切换当前直播间线路
         * @eapi
         * @param {SwitchLineParams} params 切换线路参数
         * @returns {Promise<FrameInfo>} 调用结果
         */
        export function switchLine(params: {
            /**
             * 线路标识
             */
            line: number;
        }): Promise<{
            /**
             * pts
             */
            pts: number;
        }>;
        /**
         * 切换线路参数
         * @edata
         * @typedef {Object} SwitchLineParams
         * @property {number} line 线路标识
         */
        /**
         * 切换当前直播间线路
         * @eapi
         * @param {SwitchLineParams} params 切换线路参数
         * @returns {Promise<FrameInfo>} 调用结果
         */
        export function switchLine(params: {
            /**
             * 线路标识
             */
            line: number;
        }): Promise<{
            /**
             * pts
             */
            pts: number;
        }>;
        /**
         * 路线信息
         * @edata
         * @typedef {Object} LineInfo
         * @property {number} line 线路标识
         * @property {string} label 线路名称
         */
        /**
         * 路线列表信息
         * @edata
         * @typedef {Object} LinesInfo
         * @property {Array.<LineInfo>} lines 线路列表
         */
        /**
         * 获取当前直播间线路列表
         * @eapi
         * @returns {Promise<LinesInfo>} 调用结果
         */
        export function getLinesInfo(): Promise<{
            /**
             * 线路列表
             */
            lines: {
                /**
                 * 线路标识
                 */
                line: number;
                /**
                 * 线路名称
                 */
                label: string;
            }[];
        }>;
        /**
         * 路线信息
         * @edata
         * @typedef {Object} LineInfo
         * @property {number} line 线路标识
         * @property {string} label 线路名称
         */
        /**
         * 路线列表信息
         * @edata
         * @typedef {Object} LinesInfo
         * @property {Array.<LineInfo>} lines 线路列表
         */
        /**
         * 获取当前直播间线路列表
         * @eapi
         * @returns {Promise<LinesInfo>} 调用结果
         */
        export function getLinesInfo(): Promise<{
            /**
             * 线路列表
             */
            lines: {
                /**
                 * 线路标识
                 */
                line: number;
                /**
                 * 线路名称
                 */
                label: string;
            }[];
        }>;
        /**
         * 当前线路信息
         * @edata
         * @typedef {Object} CurrentLineInfo
         * @property {number} line 线路标识
         */
        /**
         * 获取当前直播间的当前线路
         * @eapi
         * @returns {Promise<CurrentLineInfo>} 调用结果
         */
        export function getCurrentLine(): Promise<{
            /**
             * 线路标识
             */
            line: number;
        }>;
        /**
         * 当前线路信息
         * @edata
         * @typedef {Object} CurrentLineInfo
         * @property {number} line 线路标识
         */
        /**
         * 获取当前直播间的当前线路
         * @eapi
         * @returns {Promise<CurrentLineInfo>} 调用结果
         */
        export function getCurrentLine(): Promise<{
            /**
             * 线路标识
             */
            line: number;
        }>;
        /**
         * 视频信息
         * @edata
         * @typedef {Object} VideoInfo
         * @property {number} duration 视频时长
         * @property {number} currentTime 当前播放时间
         * @property {boolean} isPlaying 是否正在播放
         */
        /**
         * 当前视频信息
         * @edata
         * @typedef {Object} CurrentVideoInfo
         * @property {VideoInfo} videoInfo 点播视频信息
         */
        /**
         * 获取当前直播间播放视频的信息
         * @summary 仅限于播放点播视频模式
         * @eapi
         * @returns {Promise<CurrentVideoInfo>} 调用结果
         */
        export function getVideoInfo(): Promise<{
            /**
             * 点播视频信息
             */
            videoInfo: {
                /**
                 * 视频时长
                 */
                duration: number;
                /**
                 * 当前播放时间
                 */
                currentTime: number;
                /**
                 * 是否正在播放
                 */
                isPlaying: boolean;
            };
        }>;
        /**
         * 视频信息
         * @edata
         * @typedef {Object} VideoInfo
         * @property {number} duration 视频时长
         * @property {number} currentTime 当前播放时间
         * @property {boolean} isPlaying 是否正在播放
         */
        /**
         * 当前视频信息
         * @edata
         * @typedef {Object} CurrentVideoInfo
         * @property {VideoInfo} videoInfo 点播视频信息
         */
        /**
         * 获取当前直播间播放视频的信息
         * @summary 仅限于播放点播视频模式
         * @eapi
         * @returns {Promise<CurrentVideoInfo>} 调用结果
         */
        export function getVideoInfo(): Promise<{
            /**
             * 点播视频信息
             */
            videoInfo: {
                /**
                 * 视频时长
                 */
                duration: number;
                /**
                 * 当前播放时间
                 */
                currentTime: number;
                /**
                 * 是否正在播放
                 */
                isPlaying: boolean;
            };
        }>;
        /**
         * 播放视频参数
         * @edata
         * @typedef {Object} PlayVideoInfoParams
         * @property {string} url 视频地址
         * @property {number} startTime 视频开始时间
         */
        /**
         * 在当前直播间播放视频
         * @summary 仅支持m3u8
         * @eapi
         * @param {PlayVideoInfoParams} params 播放视频参数
         * @returns {Promise<void>} 操作结果
         */
        export function playVideo(params: {
            /**
             * 视频地址
             */
            url: string;
            /**
             * 视频开始时间
             */
            startTime: number;
        }): Promise<void>;
        /**
         * 播放视频参数
         * @edata
         * @typedef {Object} PlayVideoInfoParams
         * @property {string} url 视频地址
         * @property {number} startTime 视频开始时间
         */
        /**
         * 在当前直播间播放视频
         * @summary 仅支持m3u8
         * @eapi
         * @param {PlayVideoInfoParams} params 播放视频参数
         * @returns {Promise<void>} 操作结果
         */
        export function playVideo(params: {
            /**
             * 视频地址
             */
            url: string;
            /**
             * 视频开始时间
             */
            startTime: number;
        }): Promise<void>;
        /**
         * 暂停直播间点播视频播放
         * @eapi
         * @returns {Promise<void>} 暂停结果
         */
        export function pauseVideo(): Promise<void>;
        /**
         * 暂停直播间点播视频播放
         * @eapi
         * @returns {Promise<void>} 暂停结果
         */
        export function pauseVideo(): Promise<void>;
        /**
         * 恢复直播间点播视频播放
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function resumeVideo(): Promise<void>;
        /**
         * 恢复直播间点播视频播放
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function resumeVideo(): Promise<void>;
        /**
         * 视频快进参数
         * @edata
         * @typedef {Object} FastForwardParams
         * @property {number} time 快进秒数
         */
        /**
         * 视频快进
         * @summary 仅限于播放点播视频模式
         * @eapi
         * @param {FastForwardParams} params 视频快进参数
         * @returns {Promise<void>} 调用结果
         */
        export function fastForward(params: {
            /**
             * 快进秒数
             */
            time: number;
        }): Promise<void>;
        /**
         * 视频快进参数
         * @edata
         * @typedef {Object} FastForwardParams
         * @property {number} time 快进秒数
         */
        /**
         * 视频快进
         * @summary 仅限于播放点播视频模式
         * @eapi
         * @param {FastForwardParams} params 视频快进参数
         * @returns {Promise<void>} 调用结果
         */
        export function fastForward(params: {
            /**
             * 快进秒数
             */
            time: number;
        }): Promise<void>;
        /**
         * 视频快进参数
         * @edata
         * @typedef {Object} FastBackwardParams
         * @property {number} time 快退秒数
         */
        /**
         * 视频快退
         * @summary 仅限于播放点播视频模式
         * @eapi
         * @param {FastBackwardParams} params
         * @returns {Promise<void>} 调用结果
         */
        export function fastBackward(params: {
            /**
             * 快退秒数
             */
            time: number;
        }): Promise<void>;
        /**
         * 视频快进参数
         * @edata
         * @typedef {Object} FastBackwardParams
         * @property {number} time 快退秒数
         */
        /**
         * 视频快退
         * @summary 仅限于播放点播视频模式
         * @eapi
         * @param {FastBackwardParams} params
         * @returns {Promise<void>} 调用结果
         */
        export function fastBackward(params: {
            /**
             * 快退秒数
             */
            time: number;
        }): Promise<void>;
        /**
         * 在当前直播间恢复直播
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function resumeLive(): Promise<void>;
        /**
         * 在当前直播间恢复直播
         * @eapi
         * @returns {Promise<void>} 调用结果
         */
        export function resumeLive(): Promise<void>;
        /**
         * 高分辨率直播流视口参数
         * @edata
         * @typedef {Object} ViewportParams
         * @property {number} x 视口左上角的横坐标
         * @property {number} y 视口左上角的纵坐标
         * @property {number} scale 视口的缩放比
         */
        /**
         * 设置超高分辨率直播流视口
         * @eapi
         * @param {ViewportParams} params 高分辨率直播流视口参数
         * @returns {Promise<void>} 调用结果
         */
        export function setViewport(params: {
            /**
             * 视口左上角的横坐标
             */
            x: number;
            /**
             * 视口左上角的纵坐标
             */
            y: number;
            /**
             * 视口的缩放比
             */
            scale: number;
        }): Promise<void>;
        /**
         * 高分辨率直播流视口参数
         * @edata
         * @typedef {Object} ViewportParams
         * @property {number} x 视口左上角的横坐标
         * @property {number} y 视口左上角的纵坐标
         * @property {number} scale 视口的缩放比
         */
        /**
         * 设置超高分辨率直播流视口
         * @eapi
         * @param {ViewportParams} params 高分辨率直播流视口参数
         * @returns {Promise<void>} 调用结果
         */
        export function setViewport(params: {
            /**
             * 视口左上角的横坐标
             */
            x: number;
            /**
             * 视口左上角的纵坐标
             */
            y: number;
            /**
             * 视口的缩放比
             */
            scale: number;
        }): Promise<void>;
        /**
         * 直播流视口信息
         * @edata
         * @typedef {Object} ViewportInfo
         * @property {number} x 视口左上角的横坐标
         * @property {number} y 视口左上角的纵坐标
         * @property {number} scale 视口的缩放比
         */
        /**
         * 获取超高分辨率直播流视口
         * @eapi
         * @returns {Promise<ViewportInfo>} 调用结果
         */
        export function getViewport(): Promise<{
            /**
             * 视口左上角的横坐标
             */
            x: number;
            /**
             * 视口左上角的纵坐标
             */
            y: number;
            /**
             * 视口的缩放比
             */
            scale: number;
        }>;
        /**
         * 直播流视口信息
         * @edata
         * @typedef {Object} ViewportInfo
         * @property {number} x 视口左上角的横坐标
         * @property {number} y 视口左上角的纵坐标
         * @property {number} scale 视口的缩放比
         */
        /**
         * 获取超高分辨率直播流视口
         * @eapi
         * @returns {Promise<ViewportInfo>} 调用结果
         */
        export function getViewport(): Promise<{
            /**
             * 视口左上角的横坐标
             */
            x: number;
            /**
             * 视口左上角的纵坐标
             */
            y: number;
            /**
             * 视口的缩放比
             */
            scale: number;
        }>;
        /**
         * 直播流视口增量参数
         * @edata
         * @typedef {Object} ViewportAddParams
         * @property {number} x 视口的横坐标增量
         * @property {number} y 视口的纵坐标增量
         * @property {number} scale 视口的缩放比增量
         */
        /**
         * 设置超高分辨率直播流视口增量
         * @eapi
         * @param {ViewportAddParams} params 直播流视口增量参数
         * @returns {Promise<void>} 调用结果
         */
        export function addViewport(params: {
            /**
             * 视口的横坐标增量
             */
            x: number;
            /**
             * 视口的纵坐标增量
             */
            y: number;
            /**
             * 视口的缩放比增量
             */
            scale: number;
        }): Promise<void>;
        /**
         * 直播流视口增量参数
         * @edata
         * @typedef {Object} ViewportAddParams
         * @property {number} x 视口的横坐标增量
         * @property {number} y 视口的纵坐标增量
         * @property {number} scale 视口的缩放比增量
         */
        /**
         * 设置超高分辨率直播流视口增量
         * @eapi
         * @param {ViewportAddParams} params 直播流视口增量参数
         * @returns {Promise<void>} 调用结果
         */
        export function addViewport(params: {
            /**
             * 视口的横坐标增量
             */
            x: number;
            /**
             * 视口的纵坐标增量
             */
            y: number;
            /**
             * 视口的缩放比增量
             */
            scale: number;
        }): Promise<void>;
        /**
         * 显示播放器UI
         * @param {Object} params 展示UI参数
         * @returns {Promise<void>} 调用结果
         */
        export function showUI(params: Object): Promise<void>;
        /**
         * 显示播放器UI
         * @param {Object} params 展示UI参数
         * @returns {Promise<void>} 调用结果
         */
        export function showUI(params: Object): Promise<void>;
        /**
         * 视频相对于播放器的位置信息
         * @edata
         * @typedef {Object} VideoPosition
         * @property {number} left 视频区域距离播放器左侧的像素值
         * @property {number} top 视频区域距离播放器上侧的像素值
         * @property {number} right 视频区域距离播放器右侧的像素值
         * @property {number} bottom 视频区域距离播放器下侧的像素值
         */
        /**
         * 获取视频相对于播放器的位置
         * @eapi
         * @returns {Promise<VideoPosition>} 调用结果
         */
        export function getVideoPosition(): Promise<{
            /**
             * 视频区域距离播放器左侧的像素值
             */
            left: number;
            /**
             * 视频区域距离播放器上侧的像素值
             */
            top: number;
            /**
             * 视频区域距离播放器右侧的像素值
             */
            right: number;
            /**
             * 视频区域距离播放器下侧的像素值
             */
            bottom: number;
        }>;
        /**
         * 视频相对于播放器的位置信息
         * @edata
         * @typedef {Object} VideoPosition
         * @property {number} left 视频区域距离播放器左侧的像素值
         * @property {number} top 视频区域距离播放器上侧的像素值
         * @property {number} right 视频区域距离播放器右侧的像素值
         * @property {number} bottom 视频区域距离播放器下侧的像素值
         */
        /**
         * 获取视频相对于播放器的位置
         * @eapi
         * @returns {Promise<VideoPosition>} 调用结果
         */
        export function getVideoPosition(): Promise<{
            /**
             * 视频区域距离播放器左侧的像素值
             */
            left: number;
            /**
             * 视频区域距离播放器上侧的像素值
             */
            top: number;
            /**
             * 视频区域距离播放器右侧的像素值
             */
            right: number;
            /**
             * 视频区域距离播放器下侧的像素值
             */
            bottom: number;
        }>;
        /**
         * 播放器的播放状态
         * @edata
         * @typedef {Object} VideoState
         * @property {number} state 状态值枚举, 1000-正在播放, 1001-直播关闭, 1002-加载失败, 1003-当前线路没有直播, 1004-没有拿到ob流的状态
         */
        /**
         * 获取播放器的播放状态
         * @eapi
         * @returns {Promise<VideoState>} 调用结果
         */
        export function getVideoState(): Promise<{
            /**
             * 状态值枚举, 1000-正在播放, 1001-直播关闭, 1002-加载失败, 1003-当前线路没有直播, 1004-没有拿到ob流的状态
             */
            state: number;
        }>;
        /**
         * 播放器的播放状态
         * @edata
         * @typedef {Object} VideoState
         * @property {number} state 状态值枚举, 1000-正在播放, 1001-直播关闭, 1002-加载失败, 1003-当前线路没有直播, 1004-没有拿到ob流的状态
         */
        /**
         * 获取播放器的播放状态
         * @eapi
         * @returns {Promise<VideoState>} 调用结果
         */
        export function getVideoState(): Promise<{
            /**
             * 状态值枚举, 1000-正在播放, 1001-直播关闭, 1002-加载失败, 1003-当前线路没有直播, 1004-没有拿到ob流的状态
             */
            state: number;
        }>;
        /**
         * 播放器布局信息
         * @edata
         * @typedef {Object} VideoLayoutInfo
         * @property {boolean} isZoomOut 是否处于缩小布局
         */
        /**
         * 获取播放器布局信息
         * @eapi
         * @returns {Promise<VideoLayoutInfo>} 返回结果
         */
        export function getLayoutInfo(): Promise<{
            /**
             * 是否处于缩小布局
             */
            isZoomOut: boolean;
        }>;
        /**
         * 播放器布局信息
         * @edata
         * @typedef {Object} VideoLayoutInfo
         * @property {boolean} isZoomOut 是否处于缩小布局
         */
        /**
         * 获取播放器布局信息
         * @eapi
         * @returns {Promise<VideoLayoutInfo>} 返回结果
         */
        export function getLayoutInfo(): Promise<{
            /**
             * 是否处于缩小布局
             */
            isZoomOut: boolean;
        }>;
        /**
         * 缓冲时间参数
         * @edata
         * @typedef {Object} BufferTimeParams
         * @property {number} time 缓冲时间（毫秒）
         */
        /**
         * 设置缓冲时间
         * @eapi
         * @param {BufferTimeParams} params 缓冲时间参数
         * @returns {Promise<void>} 返回结果
         */
        export function setBufferTime(params: {
            /**
             * 缓冲时间（毫秒）
             */
            time: number;
        }): Promise<void>;
        /**
         * 缓冲时间参数
         * @edata
         * @typedef {Object} BufferTimeParams
         * @property {number} time 缓冲时间（毫秒）
         */
        /**
         * 设置缓冲时间
         * @eapi
         * @param {BufferTimeParams} params 缓冲时间参数
         * @returns {Promise<void>} 返回结果
         */
        export function setBufferTime(params: {
            /**
             * 缓冲时间（毫秒）
             */
            time: number;
        }): Promise<void>;
        /**
         * 触发上下文菜单
         * @eapi
         * @returns {Promise<void>} 返回结果
         */
        export function contextMenu(): Promise<void>;
        /**
         * 触发上下文菜单
         * @eapi
         * @returns {Promise<void>} 返回结果
         */
        export function contextMenu(): Promise<void>;
        /**
         * 直播间播放直播流参数
         * @edata
         * @typedef {Object} PlayLiveParams
         * @property {string} streamName 流名称
         */
        /**
         * 在当前直播间播放直播流
         * @eapi
         * @param {PlayLiveParams} params 直播间播放直播流参数
         * @returns {Promise<void>} 返回结果
         */
        export function playLive(params: {
            /**
             * 流名称
             */
            streamName: string;
        }): Promise<void>;
        /**
         * 直播间播放直播流参数
         * @edata
         * @typedef {Object} PlayLiveParams
         * @property {string} streamName 流名称
         */
        /**
         * 在当前直播间播放直播流
         * @eapi
         * @param {PlayLiveParams} params 直播间播放直播流参数
         * @returns {Promise<void>} 返回结果
         */
        export function playLive(params: {
            /**
             * 流名称
             */
            streamName: string;
        }): Promise<void>;
        /**
         * 播放器音量
         * @edata
         * @typedef {Object} VolumeInfo
         * @property {number} volume 音量（取值范围（0-1））
         */
        /**
         * 获取播放器音量
         * @eapi
         * @returns {Promise<VolumeInfo>} 返回结果
         */
        export function getVolume(): Promise<{
            /**
             * 音量（取值范围（0-1））
             */
            volume: number;
        }>;
        /**
         * 播放器音量
         * @edata
         * @typedef {Object} VolumeInfo
         * @property {number} volume 音量（取值范围（0-1））
         */
        /**
         * 获取播放器音量
         * @eapi
         * @returns {Promise<VolumeInfo>} 返回结果
         */
        export function getVolume(): Promise<{
            /**
             * 音量（取值范围（0-1））
             */
            volume: number;
        }>;
        /**
         * 播放器音量参数
         * @edata
         * @typedef {Object} VolumeParams
         * @property {number} volume 音量（取值范围（0-1））
         */
        /**
         * 设置播放器音量
         * @eapi
         * @param {VolumeParams} params 播放器音量参数
         * @returns {Promise<void>} 返回结果
         */
        export function setVolume(params: {
            /**
             * 音量（取值范围（0-1））
             */
            volume: number;
        }): Promise<void>;
        /**
         * 播放器音量参数
         * @edata
         * @typedef {Object} VolumeParams
         * @property {number} volume 音量（取值范围（0-1））
         */
        /**
         * 设置播放器音量
         * @eapi
         * @param {VolumeParams} params 播放器音量参数
         * @returns {Promise<void>} 返回结果
         */
        export function setVolume(params: {
            /**
             * 音量（取值范围（0-1））
             */
            volume: number;
        }): Promise<void>;
        /**
         * 静音播放
         * @eapi
         * @returns {Promise<void>} 返回结果
         */
        export function mutePlay(): Promise<void>;
        /**
         * 静音播放
         * @eapi
         * @returns {Promise<void>} 返回结果
         */
        export function mutePlay(): Promise<void>;
        /**
         * 非静音播放
         * @eapi
         * @returns {Promise<void>} 返回结果
         */
        export function unmutePlay(): Promise<void>;
        /**
         * 非静音播放
         * @eapi
         * @returns {Promise<void>} 返回结果
         */
        export function unmutePlay(): Promise<void>;
        /**
         * 模拟鼠标hover到播放器
         * @eapi
         * @inner
         * @returns {Promise<void>} 调用结果
         */
        export function hover(): Promise<void>;
        /**
         * 模拟鼠标hover到播放器
         * @eapi
         * @inner
         * @returns {Promise<void>} 调用结果
         */
        export function hover(): Promise<void>;
    }
}
export default _default;
