/*!
 * @edoc/resolver-plugin-ext-doc 
 * (c) 2020-2023 Alex
 * Released under the MIT License.
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var DocCodeResolver = require('@esydoc/resolver-doc');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var DocCodeResolver__default = /*#__PURE__*/_interopDefaultLegacy(DocCodeResolver);

var HYExtDocPlugin = /** @class */ (function () {
    function HYExtDocPlugin(props) {
        this.props = props;
    }
    HYExtDocPlugin.prototype.apply = function (docResolver) {
        var _a = this.props, match = _a.match, helpers = _a.helpers, partials = _a.partials;
        docResolver.hooks.render.tap('HYExtDocPlugin', function (dataByRendering) {
            var payload = dataByRendering.payload;
            if (match != null) {
                var target = match.find(function (item) { return item.regex.test(payload.path); });
                if (target != null) {
                    payload.template = target.makeTemplate(payload, DocCodeResolver__default['default']);
                }
            }
            return dataByRendering;
        });
        docResolver.hooks.renderBefore.tap('HYExtDocPlugin', function (dataByHandlebar) {
            var _a = dataByHandlebar.payload, helper = _a.helper, partial = _a.partial;
            if (Array.isArray(helpers) &&
                helpers.length &&
                Array.isArray(helper) &&
                helper.length) {
                dataByHandlebar.payload.helper = helper.concat(helpers);
            }
            if (Array.isArray(partials) &&
                partials.length &&
                Array.isArray(partial) &&
                partial.length) {
                dataByHandlebar.payload.partial = partial.concat(partials);
            }
            return dataByHandlebar;
        });
    };
    return HYExtDocPlugin;
}());

exports.HYExtDocPlugin = HYExtDocPlugin;
